<!DOCTYPE HTML>
<html>
  <head>
    <title>iPhoneOCM</title>
    <meta name="generator" content=
      "MobiOne Studio - Design Center (2.2.2.201210180500), http://genuitec.com/mobile"/>
    <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="apple-mobile-web-app-capable" content="yes"/>
    <meta name="format-detection" content="telephone=no"/>
    <link rel="stylesheet" href="iPhoneOCM.css"/>
    <link rel="stylesheet" href="res/spinningwheel.css"/>
    <script type="text/javascript" src="res/jquery-1.8.2.min.js"></script>
    <script type="text/javascript" src="res/iscroll.js"></script>
    <script type="text/javascript" src="iPhoneOCM.js"></script>
    <script type="text/javascript" src="res/phoneui.js"></script>
    <script type="text/javascript" src="res/phoneui-map.js"></script>
    <script type="text/javascript" src="res/spinningwheel.js"></script>
    <script type="text/javascript" src="iPhoneOCM_custom.js"></script>
    <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=true">
      </script>
  </head>
  <body>
    <div class="m1-top-root">
      <!-- Loading spinner  -->
      <div class="m1-loading">
        <div>
          <canvas class="m1-loading-spinner" width="25" height="25"></canvas>
          <span class="m1-loading-text"></span>
        </div>
      </div>
      <!-- Prompt to be shown for adding page on homescreen  -->
      <canvas class="m1-homescreen-prompt" width="250" height="120"></canvas>
      <!-- ***** iPhoneOCM *****  -->
      <div id="m1-iPhoneOCM" class="m1-root m1-background-1">
        <img id="m1-iPhoneOCM-image3" class="m1-clickable m1-image" src="images/heading_large.png"/>
        <img id="m1-iPhoneOCM-image4" class="m1-clickable m1-image" src=
          "images/graph_background.jpg"/>
        <div id="m1-iPhoneOCM-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-iPhoneOCM-panel1-scroller" class="m1-iscroll-scroller" data-bounce="false">
            <div id="m1-iPhoneOCM-image1" class="m1-clickable m1-button m1-font-19 m1-shadow-3" name
              ="image1" data-action-click-id="action156">Login</div>
            <div id="m1-iPhoneOCM-chkRememberMe" class="m1-checkbox m1-font-11">
              <input class="m1-iscroll-no-prevent-default" type="checkbox" checked="true" name=
                "chkRememberMe"/>
            </div>
            <div id="m1-iPhoneOCM-text1" class="m1-text m1-font-4">Remember Me</div>
            <input id="m1-iPhoneOCM-txtPassword" class="m1-textfield m1-textfield-border m1-font-13"
              value="" type="password" name="txtPassword"/>
            <img id="m1-iPhoneOCM-image2" class="m1-clickable m1-image" src="images/password.png"/>
            <img id="m1-iPhoneOCM-image5" class="m1-clickable m1-image" src="images/login1.png"/>
            <input id="m1-iPhoneOCM-txtUsername" class="m1-textfield m1-textfield-border m1-font-13"
              value="" type="text" name="txtUsername"/>
          </div>
        </div>
      </div>
      <!-- ***** Dashboard *****  -->
      <div id="m1-Dashboard" class="m1-root m1-background-1">
        <img id="m1-Dashboard-imgHeader" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-Dashboard-image1" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-Dashboard-btnLogout" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "btnLogout" data-action-click-id="action3"></div>
        <div id="m1-Dashboard-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-Dashboard-text3" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-Dashboard-text2" class="m1-text m1-font-4">My Dashboard</div>
        <img id="m1-Dashboard-image4" class="m1-clickable m1-image" src="images/dashboard.png"/>
        <div id="m1-Dashboard-panel1" class="m1-iscroll-wrapper m1-border-1 m1-background-3">
          <div id="m1-Dashboard-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemGenSearch" 
                class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action65">
                <div id="m1-Dashboard-listItemGenSearch-inner-div">
                  <div id="m1-Dashboard-text15" class="m1-text m1-font-5 m1-active-color-1"
                    >General Search</div>
                  <div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap here to navigate to general search Page.</div>
                  <img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/Search.png" data-action-click-id="action66"/>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list3" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemanalyzereport" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action67">
                <div id="m1-Dashboard-listItemanalyzereport-inner-div">
                  <img id="m1-Dashboard-image11" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/AnalyzeReport.png" data-action-click-id="action9"/>
                  <div id="m1-Dashboard-text17" class="m1-text m1-font-5 m1-active-color-1"
                    >Analyze Reports</div>
                  <div id="m1-Dashboard-text16" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to analyze summary reports of all samples.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list1" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemviewreport" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action68">
                <div id="m1-Dashboard-listItemviewreport-inner-div">
                  <img id="m1-Dashboard-image9" class="m1-clickable m1-image m1-hyperlink-internal" 
                    src="images/ViewReport.png" data-action-click-id="action8"/>
                  <div id="m1-Dashboard-text21" class="m1-text m1-font-5 m1-active-color-1"
                    >View Reports</div>
                  <div id="m1-Dashboard-text20" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap here to navigate to recent reports.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list9" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemsamplepriority" 
                class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action69">
                <div id="m1-Dashboard-listItemsamplepriority-inner-div">
                  <img id="m1-Dashboard-image18" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/SampleInPriority.png" data-action-click-id="action70"/>
                  <div id="m1-Dashboard-text25" class="m1-text m1-font-5 m1-active-color-1"
                    >Samples' Priority</div>
                  <div id="m1-Dashboard-text24" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to navigate sample priority list.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list12" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemsamplestage" 
                class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action71">
                <div id="m1-Dashboard-listItemsamplestage-inner-div">
                  <img id="m1-Dashboard-image22" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/SampleInStages.png" data-action-click-id="action72"/>
                  <div id="m1-Dashboard-text29" class="m1-text m1-font-5 m1-active-color-1"
                    >Samples' Stages</div>
                  <div id="m1-Dashboard-text28" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to analyze summary reports of all samples.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list19" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemtestanalysis" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action73">
                <div id="m1-Dashboard-listItemtestanalysis-inner-div">
                  <img id="m1-Dashboard-image30" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/TestAnalysis.png" data-action-click-id="action74"/>
                  <div id="m1-Dashboard-text33" class="m1-text m1-font-5 m1-active-color-1"
                    >Test Analysis</div>
                  <div id="m1-Dashboard-text32" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to navigate test analysis criteria.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list22" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemsettings" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action75">
                <div id="m1-Dashboard-listItemsettings-inner-div">
                  <img id="m1-Dashboard-image35" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/Settings.png" data-action-click-id="action76"/>
                  <div id="m1-Dashboard-text37" class="m1-text m1-font-5 m1-active-color-1"
                    >Settings</div>
                  <div id="m1-Dashboard-text36" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to change application settings.</div>
                </div>
              </li>
            </ul>
            <ul id="m1-Dashboard-list25" class="m1-rounded-list m1-list">
              <li id="m1-Dashboard-listItemalertsnreports" 
                class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action77">
                <div id="m1-Dashboard-listItemalertsnreports-inner-div">
                  <img id="m1-Dashboard-image39" class="m1-clickable m1-image m1-hyperlink-internal"
                    src="images/AlertsnReports.png" data-action-click-id="action78"/>
                  <div id="m1-Dashboard-text41" class="m1-text m1-font-5 m1-active-color-1"
                    >Alerts &amp; Reports</div>
                  <div id="m1-Dashboard-text40" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to navigate system alerts and other reports.</div>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <!-- ***** SearchPage *****  -->
      <div id="m1-SearchPage" class="m1-root m1-background-1">
        <img id="m1-SearchPage-image2" class="m1-clickable m1-image" src="images/screen_caption.png"
          />
        <img id="m1-SearchPage-image3" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SearchPage-image4" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image4" data-action-click-id="action12"></div>
        <div id="m1-SearchPage-text3" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SearchPage-text4" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-SearchPage-text5" class="m1-text m1-font-4">Search Criteria</div>
        <img id="m1-SearchPage-image5" class="m1-clickable m1-image" src="images/Search.png"/>
        <div id="m1-SearchPage-back1" 
          class="m1-clickable m1-button m1-shadow-1 m1-font-7 m1-btn-1 m1-btn-2" name="back1" 
          data-action-click-id="action101">Back</div>
        <div id="m1-SearchPage-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-SearchPage-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <div id="m1-SearchPage-text1" class="m1-text m1-font-5">Search Field</div>
            <div id="m1-SearchPage-ddSearch" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-font-8 m1-btn-3 m1-btn-4"
              name="ddSearch" data-hiddenInputId="m1-SearchPage-hidden-select-ddSearch" 
              data-selectionInfoId="m1-SearchPage-ddSearch" data-multiple="false" 
              data-verbose-items-info="true"></div>
            <div id="m1-SearchPage-text2" class="m1-text m1-font-5">Search Value</div>
            <input id="m1-SearchPage-txtSearch" class="m1-textfield m1-textfield-border m1-font-8" 
              value="" type="text" name="txtSearch"/>
            <div id="m1-SearchPage-image6" class="m1-clickable m1-button m1-shadow-1 m1-font-9" name
              ="image6" data-action-click-id="action148">Show</div>
          </div>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-SearchPage-hidden-select-ddSearch" name="ddSearch">
            <option value="--Select Search Field--" label="--Select Search Field--" selected
              >--Select Search Field--</option>
            <option value="ShipName" label="Equipment Name">Equipment Name</option>
            <option value="Nav" label="Equipment Number">Equipment Number</option>
            <option value="ShipOwner" label="Equipment Owner">Equipment Owner</option>
            <option value="SamplePoint" label="Sample Point ID">Sample Point ID</option>
            <option value="LabelNo" label="Sample Point Owner">Sample Point Owner</option>
            <option value="Status" label="Status">Status</option>
          </select>
        </div>
        <div id="m1-images-preloader" class="m1-preload-images-1"></div>
      </div>
      <!-- ***** ViewReport *****  -->
      <div id="m1-ViewReport" class="m1-root m1-background-2">
        <img id="m1-ViewReport-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-ViewReport-image3" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image3" data-action-click-id="action40"></div>
        <div id="m1-ViewReport-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-ViewReport-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-ViewReport-image4" class="m1-clickable m1-image" src="images/screen_caption.png"
          />
        <div id="m1-ViewReport-text3" class="m1-text m1-font-4">View Reports</div>
        <img id="m1-ViewReport-image5" class="m1-clickable m1-image" src="images/ViewReport.png"/>
        <div id="m1-ViewReport-back1" 
          class="m1-clickable m1-button m1-shadow-1 m1-font-7 m1-btn-1 m1-btn-2" name="back1" 
          data-action-click-id="action105">Back</div>
        <div id="m1-ViewReport-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-ViewReport-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <div id="m1-ViewReport-html1" class="m1-custom-html m1-border-2"></div>
          </div>
        </div>
      </div>
      <!-- ***** TestAnalysis *****  -->
      <div id="m1-TestAnalysis" class="m1-root m1-background-1">
        <img id="m1-TestAnalysis-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-TestAnalysis-image3" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image3" data-action-click-id="action48"></div>
        <div id="m1-TestAnalysis-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-TestAnalysis-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-TestAnalysis-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-TestAnalysis-image5" class="m1-clickable m1-image" src="images/TestAnalysis.png"
          />
        <div id="m1-TestAnalysis-text3" class="m1-text m1-font-4">Test Analysis</div>
        <div id="m1-TestAnalysis-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6" 
          name="back1" data-action-click-id="action106">Back</div>
        <div id="m1-TestAnalysis-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-TestAnalysis-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <div id="m1-TestAnalysis-text4" class="m1-text m1-font-5">Select Criteria</div>
            <div id="m1-TestAnalysis-image6" class="m1-clickable m1-button m1-shadow-1 m1-font-9" 
              name="image6" data-action-click-id="action79">Show</div>
            <div id="m1-TestAnalysis-cmbTACriteria" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-font-8 m1-btn-7 m1-btn-8"
              name="cmbTACriteria" data-hiddenInputId="m1-TestAnalysis-hidden-select-cmbTACriteria" 
              data-selectionInfoId="m1-TestAnalysis-cmbTACriteria" data-multiple="false" 
              data-verbose-items-info="true"></div>
          </div>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-TestAnalysis-hidden-select-cmbTACriteria" name="cmbTACriteria">
            <option value="--Select Search Field--" label="--Select Search Field--" selected
              >--Select Search Field--</option>
          </select>
        </div>
        <div id="m1-images-preloader2" class="m1-preload-images-1"></div>
      </div>
      <!-- ***** TestAnalysisReport *****  -->
      <div id="m1-TestAnalysisReport" class="m1-root m1-background-1">
        <img id="m1-TestAnalysisReport-image2" class="m1-clickable m1-image" src="images/login.png"
          />
        <div id="m1-TestAnalysisReport-image3" class="m1-clickable m1-button m1-font-1 m1-shadow-1" 
          name="image3" data-action-click-id="action134"></div>
        <div id="m1-TestAnalysisReport-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-TestAnalysisReport-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-TestAnalysisReport-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-TestAnalysisReport-image5" class="m1-clickable m1-image" src=
          "images/TestAnalysis.png"/>
        <div id="m1-TestAnalysisReport-text3" class="m1-text m1-font-4">Test Analysis</div>
        <div id="m1-TestAnalysisReport-back1" 
          class="m1-clickable m1-button m1-font-7 m1-btn-1 m1-btn-2" name="back1" 
          data-action-click-id="action135">Back</div>
        <div id="m1-TestAnalysisReport-panel1" 
          class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-TestAnalysisReport-panel1-scroller" class="m1-iscroll-scroller" data-bounce=
            "true">
            <div id="m1-TestAnalysisReport-txtChart1" class="m1-text m1-font-4"
              >SPC Probability Chart</div>
            <div id="m1-TestAnalysisReport-txtChart3" class="m1-text m1-font-4"
              >Sample Registered - Current FY</div>
            <div id="m1-TestAnalysisReport-txtChart2" class="m1-text m1-font-4"
              >SPC Frequency Histogram Chart</div>
            <div id="m1-TestAnalysisReport-txtChart4" class="m1-text m1-font-4">SPC IMR Chart</div>
            <img id="m1-TestAnalysisReport-chart1" class="m1-clickable m1-image" src=
              "images/IMRChart.jpg" data-action-click-id="action136"/>
            <img id="m1-TestAnalysisReport-chart2" class="m1-clickable m1-image" src=
              "images/XYChart.jpg" data-action-click-id="action137"/>
            <img id="m1-TestAnalysisReport-chart3" class="m1-clickable m1-image" src=
              "images/HistChart.jpg" data-action-click-id="action138"/>
            <img id="m1-TestAnalysisReport-chart4" class="m1-clickable m1-image" src=
              "images/ProbChart.jpg" data-action-click-id="action139"/>
          </div>
        </div>
      </div>
      <!-- ***** LargereportView *****  -->
      <div id="m1-LargereportView" class="m1-root m1-background-1">
        <img id="m1-LargereportView-image1" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-LargereportView-text1" class="m1-text m1-font-10">Report</div>
        <img id="m1-LargereportView-imgView" class="m1-clickable m1-image" src=
          "images/HistChart.jpg"/>
        <div id="m1-LargereportView-back1" 
          class="m1-clickable m1-button m1-font-1 m1-shadow-1 m1-btn-5 m1-btn-6" name="back1" 
          data-action-click-id="action140">Back</div>
      </div>
      <!-- ***** Settings *****  -->
      <div id="m1-Settings" class="m1-root m1-background-1">
        <img id="m1-Settings-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-Settings-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action49"></div>
        <div id="m1-Settings-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-Settings-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-Settings-image6" class="m1-clickable m1-image" src="images/screen_caption.png"/>
        <div id="m1-Settings-text3" class="m1-text m1-font-4">Settings</div>
        <img id="m1-Settings-image5" class="m1-clickable m1-image" src="images/Settings.png"/>
        <div id="m1-Settings-back1" 
          class="m1-clickable m1-button m1-shadow-1 m1-font-7 m1-btn-1 m1-btn-2" name="back1" 
          data-action-click-id="action107">Back</div>
        <div id="m1-Settings-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-Settings-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <div id="m1-Settings-text4" class="m1-text m1-font-4"
              >Show only Forename in Welcome Text</div>
            <div id="m1-Settings-chkForeNameOpt" class="m1-checkbox m1-font-11">
              <input class="m1-iscroll-no-prevent-default" type="checkbox" checked="true" value=
                "Never Remeber Password" name="chkForeNameOpt"/>
            </div>
            <div id="m1-Settings-text5" class="m1-text m1-font-4">Run Apps in offline mode</div>
            <div id="m1-Settings-chkOffLineOpt" class="m1-checkbox m1-font-11">
              <input class="m1-iscroll-no-prevent-default" type="checkbox" checked="true" value=
                "Never Remeber Password" name="chkOffLineOpt"/>
            </div>
            <div id="m1-Settings-chkTempDelOpt" class="m1-checkbox m1-font-11">
              <input class="m1-iscroll-no-prevent-default" type="checkbox" checked="true" value=
                "Never Remeber Password" name="chkTempDelOpt"/>
            </div>
            <div id="m1-Settings-text6" class="m1-text m1-font-4">Delete Temporary Files</div>
            <div id="m1-Settings-text7" class="m1-text m1-font-4">Never Remember Password</div>
            <div id="m1-Settings-chkRemPswdOpt" class="m1-checkbox m1-font-11">
              <input class="m1-iscroll-no-prevent-default" type="checkbox" checked="true" value=
                "Never Remeber Password" name="chkRemPswdOpt"/>
            </div>
            <img id="m1-Settings-image4" class="m1-clickable m1-image" src="images/users.png"/>
            <div id="m1-Settings-image7" class="m1-clickable m1-button m1-shadow-1 m1-font-9" name=
              "image7" data-action-click-id="action161">Apply</div>
          </div>
        </div>
      </div>
      <!-- ***** AnalyzeReports *****  -->
      <div id="m1-AnalyzeReports" class="m1-root m1-background-1">
        <img id="m1-AnalyzeReports-image5" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-AnalyzeReports-image6" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name
          ="image6" data-action-click-id="action13"></div>
        <div id="m1-AnalyzeReports-text2" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-AnalyzeReports-text3" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-AnalyzeReports-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-AnalyzeReports-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true"
            >
            <div id="m1-AnalyzeReports-txtChart1" class="m1-text m1-font-4"
              >Sample Testing Priority - Current FY</div>
            <div id="m1-AnalyzeReports-txtChart3" class="m1-text m1-font-4"
              >Sample Registered - Current FY</div>
            <div id="m1-AnalyzeReports-txtChart2" class="m1-text m1-font-4"
              >Top 5 Location with Maximum Samples</div>
            <div id="m1-AnalyzeReports-txtchart4" class="m1-text m1-font-4"
              >All Stages with Samples - Current FY</div>
            <div id="m1-AnalyzeReports-txtChart5" class="m1-text m1-font-4"
              >No. of Concurrent Users</div>
            <div id="m1-AnalyzeReports-txtChart6" class="m1-text m1-font-4"
              >Authorised - Unauthorised Samples - Current FY</div>
            <img id="m1-AnalyzeReports-chart1" class="m1-clickable m1-image" src="images/Chart1.png"
              data-action-click-id="action141"/>
            <img id="m1-AnalyzeReports-chart2" class="m1-clickable m1-image" src="images/Chart2.png"
              data-action-click-id="action142"/>
            <img id="m1-AnalyzeReports-chart3" class="m1-clickable m1-image" src="images/Chart3.png"
              data-action-click-id="action143"/>
            <img id="m1-AnalyzeReports-chart4" class="m1-clickable m1-image" src="images/Chart4.png"
              data-action-click-id="action144"/>
            <img id="m1-AnalyzeReports-chart6" class="m1-clickable m1-image" src="images/Chart6.png"
              data-action-click-id="action145"/>
            <img id="m1-AnalyzeReports-chart5" class="m1-clickable m1-image" src="images/Chart5.png"
              data-action-click-id="action146"/>
          </div>
        </div>
        <img id="m1-AnalyzeReports-image1" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-AnalyzeReports-text1" class="m1-text m1-font-4">Analyze Reports</div>
        <img id="m1-AnalyzeReports-image7" class="m1-clickable m1-image" src=
          "images/AnalyzeReport.png"/>
        <div id="m1-AnalyzeReports-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-9"
          name="back1" data-action-click-id="action113">Back</div>
        <div id="m1-images-preloader3" class="m1-preload-images-2"></div>
      </div>
      <!-- ***** AlertsNReports *****  -->
      <div id="m1-AlertsNReports" class="m1-root m1-background-1">
        <img id="m1-AlertsNReports-image6" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-AlertsNReports-image7" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name
          ="image7" data-action-click-id="action51"></div>
        <div id="m1-AlertsNReports-text2" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-AlertsNReports-text3" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-AlertsNReports-image8" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-AlertsNReports-image9" class="m1-clickable m1-image" src=
          "images/AlertsnReports.png"/>
        <div id="m1-AlertsNReports-text4" class="m1-text m1-font-4">Alerts &amp; Reports</div>
        <div id="m1-AlertsNReports-back1" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-7 m1-btn-5 m1-btn-6" name=
          "back1" data-action-click-id="action102">Back</div>
        <div id="m1-AlertsNReports-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-AlertsNReports-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true"
            >
            <ul id="m1-AlertsNReports-list1" class="m1-rounded-list m1-list">
              <li id="m1-AlertsNReports-liPort" 
                class="m1-first m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action157">
                <div id="m1-AlertsNReports-liPort-inner-div">
                  <div id="m1-AlertsNReports-text13" class="m1-text m1-active-color-1 m1-font-6"
                    >Click to view selected port on Google maps.</div>
                  <div id="m1-AlertsNReports-text12" class="m1-text m1-font-5 m1-active-color-1"
                    >Locate Ports</div>
                  <img id="m1-AlertsNReports-image10" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/ViewPort.png" 
                    data-action-click-id="action50"/>
                </div>
              </li>
              <li id="m1-AlertsNReports-liMonthlySample" 
                class="m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6" 
                data-action-click-id="action158">
                <div id="m1-AlertsNReports-liMonthlySample-inner-div">
                  <div id="m1-AlertsNReports-text15" class="m1-text m1-active-color-1 m1-font-6"
                    >Click to set criteria for Sample Stats search.</div>
                  <div id="m1-AlertsNReports-text14" class="m1-text m1-font-5 m1-active-color-1"
                    >Monthly Sample Statistics</div>
                  <img id="m1-AlertsNReports-image11" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src=
                    "images/MonthlySampleStats.png" data-action-click-id="action149"/>
                </div>
              </li>
              <li id="m1-AlertsNReports-liTenSample" 
                class="m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6" 
                data-action-click-id="action159">
                <div id="m1-AlertsNReports-liTenSample-inner-div">
                  <div id="m1-AlertsNReports-text17" class="m1-text m1-active-color-1 m1-font-6"
                    >Click here to view top 10 samples submitted today.</div>
                  <div id="m1-AlertsNReports-text16" class="m1-text m1-font-5 m1-active-color-1"
                    >Last 10 Samples</div>
                  <img id="m1-AlertsNReports-image12" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src=
                    "images/TestAnalysis.png" data-action-click-id="action151"/>
                </div>
              </li>
              <li id="m1-AlertsNReports-liUnitID" 
                class="m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action160">
                <div id="m1-AlertsNReports-liUnitID-inner-div">
                  <div id="m1-AlertsNReports-text19" class="m1-text m1-active-color-1 m1-font-6"
                    >Click search for Unit IDs.</div>
                  <div id="m1-AlertsNReports-text18" class="m1-text m1-font-5 m1-active-color-1"
                    >View Unit IDs</div>
                  <img id="m1-AlertsNReports-image13" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/ViewReport.png" 
                    data-action-click-id="action153"/>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <!-- ***** SearchByUnitID *****  -->
      <div id="m1-SearchByUnitID" class="m1-root m1-background-1">
        <img id="m1-SearchByUnitID-image14" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SearchByUnitID-image15" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SearchByUnitID-image16" class="m1-clickable m1-button m1-font-1 m1-shadow-1" 
          name="image16" data-action-click-id="action59"></div>
        <div id="m1-SearchByUnitID-text4" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SearchByUnitID-text5" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-SearchByUnitID-image17" class="m1-clickable m1-image" src=
          "images/ViewReport.png"/>
        <div id="m1-SearchByUnitID-text6" class="m1-text m1-font-4">Search Unit ID's</div>
        <div id="m1-SearchByUnitID-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6"
          name="back1" data-action-click-id="action108">Back</div>
        <div id="m1-SearchByUnitID-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-SearchByUnitID-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true"
            >
            <div id="m1-SearchByUnitID-text1" class="m1-text m1-font-5">Search Field</div>
            <div id="m1-SearchByUnitID-combobox1" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-font-8 m1-btn-7 m1-btn-8"
              name="combobox1" data-hiddenInputId="m1-SearchByUnitID-hidden-select-combobox1" 
              data-selectionInfoId="m1-SearchByUnitID-combobox1" data-multiple="false" 
              data-verbose-items-info="true"></div>
            <div id="m1-SearchByUnitID-text2" class="m1-text m1-font-5">Search Value</div>
            <input id="m1-SearchByUnitID-textField4" 
              class="m1-textfield m1-textfield-border m1-font-8" value="" type="text" name=
              "textField4"/>
            <div id="m1-SearchByUnitID-image1" class="m1-clickable m1-button m1-shadow-1 m1-font-9" 
              name="image1" data-action-click-id="action154">Show</div>
          </div>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-SearchByUnitID-hidden-select-combobox1" name="combobox1">
            <option value="--Select Search Field--" label="--Select Search Field--" selected
              >--Select Search Field--</option>
            <option value="ShipName" label="Equipment Name">Equipment Name</option>
            <option value="Nav" label="Equipment Number">Equipment Number</option>
            <option value="ShipOwner" label="Equipment Owner">Equipment Owner</option>
          </select>
        </div>
      </div>
      <!-- ***** SearchSampleStats *****  -->
      <div id="m1-SearchSampleStats" class="m1-root m1-background-1">
        <img id="m1-SearchSampleStats-image2" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SearchSampleStats-image3" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SearchSampleStats-image4" class="m1-clickable m1-button m1-font-1 m1-shadow-1" 
          name="image4" data-action-click-id="action61"></div>
        <div id="m1-SearchSampleStats-text3" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SearchSampleStats-text4" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-SearchSampleStats-image5" class="m1-clickable m1-image" src=
          "images/MonthlySampleStats.png"/>
        <div id="m1-SearchSampleStats-text5" class="m1-text m1-font-4"
          >Monthly Sample Statistics</div>
        <div id="m1-SearchSampleStats-back1" 
          class="m1-clickable m1-button m1-shadow-1 m1-font-7 m1-btn-1 m1-btn-2" name="back1" 
          data-action-click-id="action109">Back</div>
        <div id="m1-SearchSampleStats-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2"
          >
          <div id="m1-SearchSampleStats-panel1-scroller" class="m1-iscroll-scroller" data-bounce=
            "true">
            <div id="m1-SearchSampleStats-text1" class="m1-text m1-font-5">Select Criteria</div>
            <div id="m1-SearchSampleStats-cmbCriteria" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-font-8 m1-btn-7 m1-btn-8"
              name="cmbCriteria" data-hiddenInputId="m1-SearchSampleStats-hidden-select-cmbCriteria"
              data-selectionInfoId="m1-SearchSampleStats-cmbCriteria" data-multiple="false" 
              data-verbose-items-info="true"></div>
            <div id="m1-SearchSampleStats-text2" class="m1-text m1-font-5">Select Year</div>
            <div id="m1-SearchSampleStats-cmbYr" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-font-8 m1-btn-7 m1-btn-8"
              name="cmbYr" data-hiddenInputId="m1-SearchSampleStats-hidden-select-cmbYr" 
              data-selectionInfoId="m1-SearchSampleStats-cmbYr" data-multiple="false" 
              data-verbose-items-info="true"></div>
            <div id="m1-SearchSampleStats-text6" class="m1-text m1-font-5">Criterion Value</div>
            <input id="m1-SearchSampleStats-txtValue" 
              class="m1-textfield m1-textfield-border m1-font-8" value="" type="text" name=
              "txtValue"/>
            <div id="m1-SearchSampleStats-image6" 
              class="m1-clickable m1-button m1-shadow-1 m1-font-9" name="image6" 
              data-action-click-id="action62">Show</div>
          </div>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-SearchSampleStats-hidden-select-cmbCriteria" name="cmbCriteria">
            <option value="--Select Search Field--" label="--Select Search Field--" selected
              >--Select Search Field--</option>
            <option value="ShipName" label="Equipment Name">Equipment Name</option>
            <option value="Nav" label="Equipment Number">Equipment Number</option>
            <option value="ShipOwner" label="Equipment Owner">Equipment Owner</option>
          </select>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-SearchSampleStats-hidden-select-cmbYr" name="cmbYr">
            <option value="--Select Year--" label="--Select Year--" selected
              >--Select Year--</option>
          </select>
        </div>
      </div>
      <!-- ***** SampleStatsResult *****  -->
      <div id="m1-SampleStatsResult" class="m1-root m1-background-1">
        <img id="m1-SampleStatsResult-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleStatsResult-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action127"></div>
        <div id="m1-SampleStatsResult-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SampleStatsResult-text2" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-SampleStatsResult-panel1" class="m1-iscroll-wrapper m1-border-1 m1-background-3"
          >
          <div id="m1-SampleStatsResult-panel1-scroller" class="m1-iscroll-scroller" data-bounce=
            "true">
            <img id="m1-SampleStatsResult-imgJan" class="m1-clickable m1-image" src="images/jan.png"
              />
            <img id="m1-SampleStatsResult-imgFeb" class="m1-clickable m1-image" src="images/feb.png"
              />
            <img id="m1-SampleStatsResult-imgMar" class="m1-clickable m1-image" src="images/mar.png"
              />
            <img id="m1-SampleStatsResult-imgApr" class="m1-clickable m1-image" src="images/apr.png"
              />
            <img id="m1-SampleStatsResult-imgMay" class="m1-clickable m1-image" src="images/may.png"
              />
            <img id="m1-SampleStatsResult-imgJun" class="m1-clickable m1-image" src="images/jun.png"
              />
            <img id="m1-SampleStatsResult-imgjul" class="m1-clickable m1-image" src="images/jul.png"
              />
            <img id="m1-SampleStatsResult-imgAug" class="m1-clickable m1-image" src="images/aug.png"
              />
            <img id="m1-SampleStatsResult-imgSep" class="m1-clickable m1-image" src=
              "images/sept.png"/>
            <img id="m1-SampleStatsResult-imgOct" class="m1-clickable m1-image" src="images/oct.png"
              />
            <img id="m1-SampleStatsResult-imgNov" class="m1-clickable m1-image" src="images/nov.png"
              />
            <img id="m1-SampleStatsResult-imgDec" class="m1-clickable m1-image" src="images/dec.png"
              />
            <div id="m1-SampleStatsResult-txtjan" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtFeb" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtMar" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtApr" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtMay" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtJun" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtJul" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtAug" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtSep" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtOct" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtNov" class="m1-text m1-font-12">[0]</div>
            <div id="m1-SampleStatsResult-txtDec" class="m1-text m1-font-12">[0]</div>
          </div>
        </div>
        <img id="m1-SampleStatsResult-image16" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SampleStatsResult-image17" class="m1-clickable m1-image" src=
          "images/MonthlySampleStats.png"/>
        <div id="m1-SampleStatsResult-text15" class="m1-text m1-font-4"
          >Monthly Sample Statistics</div>
        <div id="m1-SampleStatsResult-back1" 
          class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6" name="back1" 
          data-action-click-id="action128">Back</div>
        <div id="m1-SampleStatsResult-panel2" class="m1-iscroll-wrapper m1-border-1 m1-background-7"
          >
          <div id="m1-SampleStatsResult-Header1" class="m1-text m1-font-4">Hello</div>
          <div id="m1-SampleStatsResult-Header2" class="m1-text m1-font-4">Hello</div>
        </div>
      </div>
      <!-- ***** LocatePort *****  -->
      <div id="m1-LocatePort" class="m1-root m1-background-1">
        <img id="m1-LocatePort-image3" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-LocatePort-image4" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image4" data-action-click-id="action63"></div>
        <div id="m1-LocatePort-text2" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-LocatePort-text3" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-LocatePort-image2" class="m1-clickable m1-image" src="images/screen_caption.png"
          />
        <div id="m1-LocatePort-text4" class="m1-text m1-font-4">Locate Ports</div>
        <img id="m1-LocatePort-image5" class="m1-clickable m1-image" src="images/ViewPort.png"/>
        <div id="m1-LocatePort-back1" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-7 m1-btn-5 m1-btn-6" name=
          "back1" data-action-click-id="action110">Back</div>
        <div id="m1-LocatePort-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-LocatePort-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <div id="m1-LocatePort-cmbPort" 
              class="m1-select-list-menu-spinner m1-soft-spinner m1-iscroll-no-prevent-default m1-combobox m1-btn-7 m1-btn-8 m1-font-13"
              name="cmbPort" data-hiddenInputId="m1-LocatePort-hidden-select-cmbPort" 
              data-selectionInfoId="m1-LocatePort-cmbPort" data-multiple="false" 
              data-verbose-items-info="true"></div>
            <div id="m1-LocatePort-text1" class="m1-text m1-font-5">Select Port Name</div>
            <div id="m1-LocatePort-image6" class="m1-clickable m1-button m1-shadow-1 m1-font-9" name
              ="image6" data-action-click-id="action162">Show</div>
          </div>
        </div>
        <div class="m1-aux-hidden-div">
          <select id="m1-LocatePort-hidden-select-cmbPort" name="cmbPort">
            <option value="--Select Port--" label="--Select Port--" selected
              >--Select Port--</option>
          </select>
        </div>
      </div>
      <!-- ***** ShowMap *****  -->
      <div id="m1-ShowMap" class="m1-root m1-background-1">
        <img id="m1-ShowMap-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-ShowMap-image3" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image3" data-action-click-id="action131"></div>
        <div id="m1-ShowMap-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-ShowMap-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-ShowMap-image4" class="m1-clickable m1-image" src="images/screen_caption.png"/>
        <div id="m1-ShowMap-text3" class="m1-text m1-font-4">Locate Ports</div>
        <img id="m1-ShowMap-image5" class="m1-clickable m1-image" src="images/ViewPort.png"/>
        <div id="m1-ShowMap-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6" name=
          "back1" data-action-click-id="action132">Back</div>
        <div id="m1-ShowMap-MapViewouter" class="m1-map-container m1-border-3">
          <div id="m1-ShowMap-MapView" class="m1-map" data-addr="Kashmir" data-show-pin="true" 
            data-scale="13" data-map-type="Hybrid" data-show-pin="true" data-pin-title="" 
            data-pin-url="res/images/marker5.png" data-default-ui="false" data-pan-control="false" 
            data-map-type-control="true" data-scale-control="false" data-street-view-control="false"
            data-overview-map-control="false"></div>
        </div>
      </div>
      <!-- ***** SampleInStages *****  -->
      <div id="m1-SampleInStages" class="m1-root m1-background-1">
        <div id="m1-SampleInStages-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-SampleInStages-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true"
            >
            <ul id="m1-SampleInStages-waiting" class="m1-rounded-list m1-list">
              <li id="m1-SampleInStages-waitingLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action118">
                <div id="m1-SampleInStages-waitingLI-inner-div">
                  <img id="m1-SampleInStages-image3" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Waiting.png" 
                    data-action-click-id="action19"/>
                  <div id="m1-SampleInStages-text1" class="m1-text m1-font-5 m1-active-color-1"
                    >Waiting for Preparation</div>
                  <div id="m1-SampleInStages-text2" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Unknown Priority</div>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInStages-progress" class="m1-rounded-list m1-list">
              <li id="m1-SampleInStages-progressLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action119">
                <div id="m1-SampleInStages-progressLI-inner-div">
                  <div id="m1-SampleInStages-text3" class="m1-text m1-font-5 m1-active-color-1"
                    >In Progress</div>
                  <div id="m1-SampleInStages-text4" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Urgent Priority</div>
                  <img id="m1-SampleInStages-image2" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/InProgress.png" 
                    data-action-click-id="action18"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInStages-authorised" class="m1-rounded-list m1-list">
              <li id="m1-SampleInStages-authorisedLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action120">
                <div id="m1-SampleInStages-authorisedLI-inner-div">
                  <div id="m1-SampleInStages-text5" class="m1-text m1-font-5 m1-active-color-1"
                    >Authorised</div>
                  <div id="m1-SampleInStages-text6" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Caution Priority</div>
                  <img id="m1-SampleInStages-image4" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Authorised.png" 
                    data-action-click-id="action20"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInStages-pending" class="m1-rounded-list m1-list">
              <li id="m1-SampleInStages-pendingLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action121">
                <div id="m1-SampleInStages-pendingLI-inner-div">
                  <div id="m1-SampleInStages-text7" class="m1-text m1-font-5 m1-active-color-1"
                    >Pending Approval</div>
                  <div id="m1-SampleInStages-text8" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Normal Priority</div>
                  <img id="m1-SampleInStages-image5" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Pending.png" 
                    data-action-click-id="action21"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInStages-suspended" class="m1-rounded-list m1-list">
              <li id="m1-SampleInStages-suspendedLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action122">
                <div id="m1-SampleInStages-suspendedLI-inner-div">
                  <div id="m1-SampleInStages-text12" class="m1-text m1-font-5 m1-active-color-1"
                    >Suspended</div>
                  <div id="m1-SampleInStages-text13" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Normal Priority</div>
                  <img id="m1-SampleInStages-image6" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Suspended.png" 
                    data-action-click-id="action22"/>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <img id="m1-SampleInStages-image10" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SampleInStages-image11" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleInStages-image12" class="m1-clickable m1-button m1-font-1 m1-shadow-1" 
          name="image12" data-action-click-id="action17"></div>
        <div id="m1-SampleInStages-text9" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SampleInStages-text10" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-SampleInStages-text11" class="m1-text m1-font-4">Samples In Stages</div>
        <img id="m1-SampleInStages-image13" class="m1-clickable m1-image" src=
          "images/SampleInStages.png"/>
        <div id="m1-SampleInStages-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6"
          name="back1" data-action-click-id="action111">Back</div>
      </div>
      <!-- ***** SampleInPriority *****  -->
      <div id="m1-SampleInPriority" class="m1-root m1-background-1">
        <div id="m1-SampleInPriority-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-SampleInPriority-panel1-scroller" class="m1-iscroll-scroller" data-bounce=
            "true">
            <ul id="m1-SampleInPriority-unknown" class="m1-rounded-list m1-list">
              <li id="m1-SampleInPriority-unknownLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action123">
                <div id="m1-SampleInPriority-unknownLI-inner-div">
                  <div id="m1-SampleInPriority-text11" class="m1-text m1-font-5 m1-active-color-1"
                    >Unknown</div>
                  <div id="m1-SampleInPriority-text10" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Unknown Priority</div>
                  <img id="m1-SampleInPriority-image12" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Unknown.png" 
                    data-action-click-id="action29"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInPriority-urgent" class="m1-rounded-list m1-list">
              <li id="m1-SampleInPriority-urgentLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action124">
                <div id="m1-SampleInPriority-urgentLI-inner-div">
                  <div id="m1-SampleInPriority-text9" class="m1-text m1-font-5 m1-active-color-1"
                    >Urgent</div>
                  <div id="m1-SampleInPriority-text8" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Urgent Priority</div>
                  <img id="m1-SampleInPriority-image10" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Urgent.png" 
                    data-action-click-id="action31"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInPriority-caution" class="m1-rounded-list m1-list">
              <li id="m1-SampleInPriority-cautionLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action125">
                <div id="m1-SampleInPriority-cautionLI-inner-div">
                  <div id="m1-SampleInPriority-text7" class="m1-text m1-font-5 m1-active-color-1"
                    >Caution</div>
                  <div id="m1-SampleInPriority-text6" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Caution Priority</div>
                  <img id="m1-SampleInPriority-image8" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Caution.png" 
                    data-action-click-id="action33"/>
                </div>
              </li>
            </ul>
            <ul id="m1-SampleInPriority-normal" class="m1-rounded-list m1-list">
              <li id="m1-SampleInPriority-normalLI" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6"
                data-action-click-id="action126">
                <div id="m1-SampleInPriority-normalLI-inner-div">
                  <div id="m1-SampleInPriority-text5" class="m1-text m1-font-5 m1-active-color-1"
                    >Normal</div>
                  <div id="m1-SampleInPriority-text4" class="m1-text m1-active-color-1 m1-font-6"
                    >Tap to view samples with Normal Priority</div>
                  <img id="m1-SampleInPriority-image6" 
                    class="m1-clickable m1-image m1-hyperlink-internal" src="images/Normal.png" 
                    data-action-click-id="action35"/>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <img id="m1-SampleInPriority-image2" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SampleInPriority-image3" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleInPriority-image4" class="m1-clickable m1-button m1-font-1 m1-shadow-1" 
          name="image4" data-action-click-id="action36"></div>
        <div id="m1-SampleInPriority-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SampleInPriority-text2" class="m1-text m1-font-3">Last Login Now</div>
        <div id="m1-SampleInPriority-text3" class="m1-text m1-font-4">Samples in Priority</div>
        <img id="m1-SampleInPriority-image5" class="m1-clickable m1-image" src=
          "images/SampleInPriority.png"/>
        <div id="m1-SampleInPriority-back1" 
          class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6" name="back1" 
          data-action-click-id="action112">Back</div>
      </div>
      <!-- ***** SampleUnknown *****  -->
      <div id="m1-SampleUnknown" class="m1-root m1-background-1">
        <img id="m1-SampleUnknown-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleUnknown-image3" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name=
          "image3" data-action-click-id="action89"></div>
        <div id="m1-SampleUnknown-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-SampleUnknown-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-SampleUnknown-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-SampleUnknown-image5" class="m1-clickable m1-image m1-hyperlink-internal" src=
          "images/SampleInPriority.png" data-action-click-id="action90"/>
        <div id="m1-SampleUnknown-text3" class="m1-text m1-font-4">Samples - Unknown</div>
        <div id="m1-SampleUnknown-panel1" class="m1-iscroll-wrapper m1-border-1 m1-background-3">
          <div id="m1-SampleUnknown-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <ul id="m1-SampleUnknown-list1" class="m1-rounded-list m1-list">
              <li id="m1-SampleUnknown-listItem1" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-8 m1-background-9 m1-background-10"
                data-action-click-id="action147">
                <div id="m1-SampleUnknown-listItem1-inner-div">
                  <div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-14"
                    >1.</div>
                  <div id="m1-SampleUnknown-textline1" class="m1-text m1-font-2 m1-active-color-1"
                    >Hello</div>
                  <div id="m1-SampleUnknown-textline2" class="m1-text m1-font-2 m1-active-color-1"
                    >Hello</div>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <div id="m1-SampleUnknown-panel2" class="m1-iscroll-wrapper m1-border-1 m1-background-7">
          <div id="m1-SampleUnknown-text4" class="m1-text m1-font-2"> Port | Label No.|</div>
          <div id="m1-SampleUnknown-text5" class="m1-text m1-font-2">Job Name | Sample Date</div>
        </div>
        <div id="m1-SampleUnknown-back1" class="m1-clickable m1-button m1-font-7 m1-btn-5 m1-btn-6" 
          name="back1" data-action-click-id="action103">Back</div>
      </div>
      <!-- ***** SampleUrgent *****  -->
      <div id="m1-SampleUrgent" class="m1-root m1-background-1">
        <img id="m1-SampleUrgent-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleUrgent-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action91"></div>
        <div id="m1-SampleUrgent-text1" class="m1-text m1-font-15 m1-shadow-2">Welcome User</div>
        <div id="m1-SampleUrgent-text2" class="m1-text m1-font-15 m1-shadow-2">Last Login Now</div>
        <img id="m1-SampleUrgent-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-SampleUrgent-text3" class="m1-text m1-shadow-2 m1-font-16">Samples-Urgent</div>
        <img id="m1-SampleUrgent-image5" class="m1-clickable m1-image m1-hyperlink-internal" src=
          "images/Urgent.png" data-action-click-id="action92"/>
      </div>
      <!-- ***** SampleCaution *****  -->
      <div id="m1-SampleCaution" class="m1-root m1-background-1">
        <img id="m1-SampleCaution-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleCaution-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action93"></div>
        <div id="m1-SampleCaution-text1" class="m1-text m1-font-15 m1-shadow-2">Welcome User</div>
        <div id="m1-SampleCaution-text2" class="m1-text m1-font-15 m1-shadow-2">Last Login Now</div>
        <img id="m1-SampleCaution-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-SampleCaution-text3" class="m1-text m1-shadow-2 m1-font-16"
          >Samples-Caution</div>
        <img id="m1-SampleCaution-image5" class="m1-clickable m1-image m1-hyperlink-internal" src=
          "images/Caution.png" data-action-click-id="action94"/>
      </div>
      <!-- ***** SampleNormal *****  -->
      <div id="m1-SampleNormal" class="m1-root m1-background-1">
        <img id="m1-SampleNormal-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-SampleNormal-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action95"></div>
        <div id="m1-SampleNormal-text1" class="m1-text m1-font-15 m1-shadow-2">Welcome User</div>
        <div id="m1-SampleNormal-text2" class="m1-text m1-font-15 m1-shadow-2">Last Login Now</div>
        <img id="m1-SampleNormal-image4" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-SampleNormal-text3" class="m1-text m1-shadow-2 m1-font-16">Samples-Normal</div>
        <img id="m1-SampleNormal-image5" class="m1-clickable m1-image m1-hyperlink-internal" src=
          "images/Normal.png" data-action-click-id="action96"/>
      </div>
      <!-- ***** DataDispaly *****  -->
      <div id="m1-DataDispaly" class="m1-root m1-background-1">
        <img id="m1-DataDispaly-image1" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <img id="m1-DataDispaly-image2" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-DataDispaly-image3" 
          class="m1-clickable m1-hyperlink-internal m1-button m1-font-1 m1-shadow-1" name="image3" 
          data-action-click-id="action38"></div>
        <div id="m1-DataDispaly-text1" class="m1-text m1-font-15 m1-shadow-2">Welcome User</div>
        <div id="m1-DataDispaly-text2" class="m1-text m1-font-15 m1-shadow-2">Last Login Now</div>
        <img id="m1-DataDispaly-image5" class="m1-clickable m1-image" src="images/dashboard.png"/>
        <div id="m1-DataDispaly-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-DataDispaly-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true">
            <ul id="m1-DataDispaly-DataList" class="m1-rounded-list m1-list">
              <li id="m1-DataDispaly-listItem1" 
                class="m1-first m1-last m1-clickable m1-highlight m1-background-11 m1-background-12 m1-background-13"
                >
                <div id="m1-DataDispaly-listItem1-inner-div">
                  <img id="m1-DataDispaly-accessoryImage1" class="m1-element m1-clickable" src=
                    "res/images/tableRowDisclosureIndicator.png"/>
                  <div id="m1-DataDispaly-text4" class="m1-text m1-active-color-1 m1-font-17"
                    >Item</div>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <div id="m1-DataDispaly-text3" class="m1-text m1-shadow-2 m1-font-16">Data Display</div>
        <div id="m1-DataDispaly-panel2" class="m1-iscroll-wrapper m1-border-2 m1-background-14">
          <div id="m1-DataDispaly-txtHeader1" class="m1-text m1-shadow-2 m1-font-18"></div>
          <div id="m1-DataDispaly-txtHeader2" class="m1-text m1-shadow-2 m1-font-18"></div>
        </div>
      </div>
      <!-- ***** LargeReport *****  -->
      <div id="m1-LargeReport" class="m1-root m1-background-2">
        <img id="m1-LargeReport-image1" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-LargeReport-back1" 
          class="m1-clickable m1-button m1-font-1 m1-shadow-1 m1-btn-5 m1-btn-6" name="back1" 
          data-action-click-id="action163">Back</div>
        <div id="m1-LargeReport-text1" class="m1-text m1-font-10">Report</div>
        <div id="m1-LargeReport-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <img id="m1-LargeReport-image2" class="m1-clickable m1-image" src="images/HistChart.jpg"/>
        </div>
      </div>
      <!-- ***** ElementDetails *****  -->
      <div id="m1-ElementDetails" class="m1-root m1-background-2">
        <img id="m1-ElementDetails-image1" class="m1-clickable m1-image" src="images/login.png"/>
        <div id="m1-ElementDetails-image2" class="m1-clickable m1-button m1-font-1 m1-shadow-1" name
          ="image2" data-action-click-id="action164"></div>
        <div id="m1-ElementDetails-text1" class="m1-text m1-font-2">Welcome User</div>
        <div id="m1-ElementDetails-text2" class="m1-text m1-font-3">Last Login Now</div>
        <img id="m1-ElementDetails-image3" class="m1-clickable m1-image" src=
          "images/screen_caption.png"/>
        <div id="m1-ElementDetails-text3" class="m1-text m1-font-4">View Reports</div>
        <img id="m1-ElementDetails-image4" class="m1-clickable m1-image" src="images/ViewReport.png"
          />
        <div id="m1-ElementDetails-back1" 
          class="m1-clickable m1-button m1-shadow-1 m1-font-7 m1-btn-5 m1-btn-6" name="back1" 
          data-action-click-id="action165">Back</div>
        <div id="m1-ElementDetails-panel1" class="m1-iscroll-wrapper m1-background-3 m1-border-2">
          <div id="m1-ElementDetails-panel1-scroller" class="m1-iscroll-scroller" data-bounce="true"
            >
            <div id="m1-ElementDetails-html1" class="m1-custom-html m1-border-2"></div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
