/**
 * Notification that the UI is about to transition to a new page.
 * Perform custom prepage-transition logic here.
 * @param {String} currentPageId 
 * @param {String} targetPageId 
 * @returns {boolean} true to continue transtion; false to halt transition
 */
phoneui.prePageTransition = function(currentPageId,targetPageId) {
  // add custom pre-transition code here
  // return false to terminate transition
  return true;
}

/**
 * Notification that the UI has transition to a new page.
 * 
 * @param {String} newPageId 
 */
phoneui.postPageTransition = function(newPageId) {
  
}

/**
 * Notification that device orientation has changed. 
 * 
 * @param {String} newOrientation 
 */
phoneui.postOrientationChange = function(newOrientation) {
  
}

/**
 * Called when document is loaded.
 */
phoneui.documentReadyHandler = function() 
{
  //themeUrl();
  clearField();
  GoLogin();
}
  
var username='';
var Name = '';
var password='';
var remember='';
var company = ""; 
var strPlanID = "";
var strPlanName = "";
var flgGeneralSearch = "";
var flgViewReports = "";
var flgAnalyzeReports = "";
var flgSamplesPriority = "";
var flgSamplesStages = "";
var flgTestAnalysis = "";
var flgAlertsnReports = "";
var flgSettings = "";
var webUrl = "http://www.i-ocm.com/OCMWebService/OCMWebService_ALC.asmx/";

function themeUrl()
{
  
phoneui.showActivityDialog("Loading Application...Please Wait!");
  $.ajax({
      type: "POST",
      url: webUrl + "GetMobileImages?D=" + new Date().toString(),
      data: "{}",
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: themeSuccess,
      error: Error
    });
}
  
function themeSuccess(data, status)
{
  phoneui.hideActivityDialog();
  var output = data.d;
  if(output != null)
  {
    var heading = output[0];
    var background = output[1];
    var logo = output[2];
  } 
  //var img = "http://www.labmanagementsystem.com/MobileImages/background_default.jpg";
  //loginpage  

  $('#m1-iPhoneOCM-image3').attr('src',(heading));
  $('#m1-iPhoneOCM-image4').attr('src',(logo));
  document.getElementById("m1-iPhoneOCM").style.backgroundImage = "url("+background +")";
  //background images of others 
  document.getElementById("m1-Dashboard").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SearchPage").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-ViewReport").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-TestAnalysis").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-TestAnalysisReport").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-LargereportView").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-AnalyzeReports").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-AlertsNReports").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SearchByUnitID").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SearchSampleStats").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SampleStatsResult").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-ShowMap").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-LocatePort").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SampleInStages").style.backgroundImage = "url("+background  +")";
  document.getElementById("m1-SampleInPriority").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SampleUnknown").style.backgroundImage = "url("+background +")";
  /*document.getElementById("m1-SampleUrgent").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SampleCaution").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-SampleNormal").style.backgroundImage = "url("+background +")";*/
  document.getElementById("m1-DataDispaly").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-LargeReport").style.backgroundImage = "url("+background +")";
  document.getElementById("m1-ElementDetails").style.backgroundImage = "url("+background +")";
}
//************************Zoom*********************************************************  
  /*var myScroll;
function loaded() {
  myScroll = new iScroll('wrapper', { zoom:true });
}

document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);

document.addEventListener('DOMContentLoaded', loaded, false);*/
//*****************************************************************************************
  
  function goSearch(id)
  {
    if(id==1)
      phoneui.gotoPage("m1-SearchPage", "DEFAULT");
    else if(id==2)
      phoneui.gotoPage('m1-SampleInPriority', 'DEFAULT');
    else if(id==3)
      phoneui.gotoPage('m1-SampleInStages', 'DEFAULT');
    else if(id==4)
      phoneui.gotoPage('m1-AlertsNReports', 'DEFAULT');
  }
  //*************************************Dashboard***********************************************

  function populateDboard()
  {
    var tab = document.getElementById('dboard');
    var menu = "";
    var imgUrl = "http://www.intertek-iocm.com/MobileImages/";
    if(flgAnalyzeReports != "false")
      {
          menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="GetACharts();">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>My Dashboard</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to view your Dashboard.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'AnalyzeReport.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
    if(flgGeneralSearch != "false")
    {
        menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="goSearch(1);">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>Search Samples(Authorised)</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate to general search Page.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'Search.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
     }
     
     if(flgViewReports != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                ' onclick="ToViewDemoReport();">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>Last Viewed Sample</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate to recent Sample details.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'ViewReport.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
     if(flgSamplesPriority != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="goSearch(2);">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>Samples Priority</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate to sample priority list.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'SampleInPriority.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
     if(flgSamplesStages != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="goSearch(3);">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>My Samples</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate to sample stage list.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'SampleInStages.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
     if(flgTestAnalysis != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="populateTACriteria();">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>Test Analysis</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate to Test Analysis criteria.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'TestAnalysis.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
      if(flgAlertsnReports != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="goSearch(4);">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-99 m1-active-color-1"'+
                    '>Alerts &amp; Reports</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to navigate system alerts and other reports.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="'+imgUrl+'AlertsnReports.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }
     /*if(flgSettings != "false")
      {
            menu += '<ul id="m1-Dashboard-list4" class="m1-rounded-list m1-list">'+
              '<li id="m1-Dashboard-listItemanalyzereport"'+ 
                'class="m1-first m1-last m1-clickable m1-highlight m1-hyperlink-internal m1-background-3 m1-background-4 m1-background-5"'+
                'onclick="SettingsPage();">'+
                '<div id="m1-Dashboard-listItemGenSearch-inner-div">'+
                  '<div id="m1-Dashboard-text15" class="m1-text m1-font-5 m1-active-color-1"'+
                    '>Settings</div>'+
                  '<div id="m1-Dashboard-text14" class="m1-text m1-active-color-1 m1-font-6"'+
                    '>Tap to change application settings.</div>'+
                  '<img id="m1-Dashboard-image33" class="m1-clickable m1-image m1-hyperlink-internal"'+
                    'src="images/Settings.png" data-action-click-id="action66"/>'+
                '</div>'+
              '</li>'+
            '</ul>';
      }*/
          
      tab.innerHTML = menu;
  }
  
  //******************************************************************************************
  
  
  
  
  
  function myTimer(Page, id)
  {
     phoneui.hideActivityDialog();
     $(id).removeAttr('disabled');
     phoneui.gotoPage(Page, 'DEFAULT');     
  }
  
  function clearField()
  {
     var username = document.getElementById('m1-iPhoneOCM-txtUsername');
     var password = document.getElementById('m1-iPhoneOCM-txtPassword');
     username.value='';
     password.value='';
  }
 
   //var webUrl = "http://localhost:50817/OPRA/OCMWebService/OCMWebService.asmx/";
  function GoLogin()
    {
      if (localStorage.length != 0) 
      { 
        FetchSettings();
        if(TempDelOption == 'false')
        {  
          var userinfo = localStorage.getItem('UserLoginInfo');
          if(userinfo == null)
            {
               clearField();
               phoneui.gotoPage('m1-iPhoneOCM', 'DEFAULT');
            }
           else
           {
             if(RemPswdOption == 'false')
             {         
              var newstr = userinfo.split("<Remember>");
              var x = newstr[1].indexOf("</Remember>");
              remember= newstr[1].substring(0, x);
              newstr = userinfo.split("<Username>");
              x = newstr[1].indexOf("</Username>");
              username= newstr[1].substring(0, x);
              newstr = userinfo.split("<Password>");
              x = newstr[1].indexOf("</Password>");
              password = newstr[1].substring(0, x);
              if(remember)
              { 
                var serviceParam = "{'strUsername':'" + username+ "', 'strPassword':'" + password + "'}";
                var serviceUrl = webUrl + "UserLogin?D=" + new Date().toString();
                CallService(serviceParam , serviceUrl); 
              }
              else
              {
                 clearField();
                 phoneui.gotoPage('m1-iPhoneOCM', 'DEFAULT');
              }
             }
           }
           
        }
       
      }
  else
      {
         clearField();
         phoneui.gotoPage('m1-iPhoneOCM', 'DEFAULT');
       }

   }
     //Function To GetTime
       var currentDT='';
     function ToGetTime()
     {
      var now = new Date(); 
      var month=new Array();
      month[0]="January";
      month[1]="February";
      month[2]="March";
      month[3]="April";
      month[4]="May";
      month[5]="June";
      month[6]="July";
      month[7]="August";
      month[8]="September";
      month[9]="October";
      month[10]="November";
      month[11]="December";

      var weekdays = new Array(7);
      weekdays[0] = "Sunday";
      weekdays[1] = "Monday";
      weekdays[2] = "Tuesday";
      weekdays[3] = "Wednesday";
      weekdays[4] = "Thursday";
      weekdays[5] = "Friday";
      weekdays[6] = "Saturday";
      
      var curTime='';
      var hours = now .getHours();
      var minutes = now .getMinutes();
      if (minutes < 10){
      minutes = "0" + minutes ;
      }

      if(hours > 11){
      curTime="PM";
      } else {
     curTime="AM";
      }
          
      var weekday_value = now .getDay();
      var month_value=now.getMonth();
      currentDT= weekdays[weekday_value] + ','+ month[month_value]+ ' '+ now.getDate ()+','+now.getFullYear(); 
      currentDT = currentDT + ' '+ hours +':'+ minutes + ' ' +curTime; 
     
     }
  // FUNCTION USED FOR LOGIN
  function alertwindow()
  {
 
    var username = document.getElementById('m1-iPhoneOCM-txtUsername').value;
    var password = document.getElementById('m1-iPhoneOCM-txtPassword').value;
    if(username == "" || password == "")
    {
      alertMsg("Please enter Username and Password");
      return;
    }

    var serviceParam = "{'strUsername':'" + username + "', 'strPassword':'" + password + "'}";
    var serviceUrl = webUrl + "UserLogin?D=" + new Date().toString();
    CallService(serviceParam , serviceUrl); 
  }  
  function CallService(param, servicename) 
  {
    //var username = document.getElementById('m1-iPhoneOCM-txtUsername').value;
    //var password = document.getElementById('m1-iPhoneOCM-txtPassword').value;
    $.ajax({
      type: "POST",
      url: servicename,
      data: param,
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: Success,
      error: Error
    });
  }
 var FullName='';
 var LastLoginDT='';
var AccessID='';
var UserName;
  function Success(data, status) 
  {
    
    //document.getElementById("m1-iPhoneOCM-image1").disabled = true;
    
    var output = data.d;
    if(output != null)
    {
      var arr = output.toString().split(",");
     
   
    if(arr[0] == "true")
    {  
      phoneui.showActivityDialog("Loading...Please Wait!");
      $('#m1-iPhoneOCM :input').attr('disabled', true);
      $('#m1-iPhoneOCM-image1').attr('disabled', true);
      setTimeout(function(){myTimer("m1-Dashboard","#m1-iPhoneOCM :input")},5000);
      var strXML = "<test>";
      strXML = strXML + "<Status>"+arr[0]+"</Status>";
      strXML = strXML + "<Username>"+arr[1]+"</Username>";
      strXML = strXML + "<Access>"+arr[2]+"</Access>";
      strXML = strXML + "<Name>"+arr[3]+"</Name>"; 
      var strXML = strXML + "</test>";
      localStorage.setItem('UserInfo',strXML);     
      AccessID=arr[2].toString();
      UserName = arr[1];
      strPlanID = arr[4];
      Name = arr[3]
      strPlanName =arr[5];
      company = arr[6];
      flgGeneralSearch = arr[7];
      flgViewReports = arr[8];
      flgAnalyzeReports = arr[9];
      flgSamplesPriority = arr[10];
      flgSamplesStages = arr[11];
      flgTestAnalysis = arr[12];
      flgAlertsnReports = arr[13];
      flgSettings = arr[14];
      var nm=arr[3];
      var fName=nm.toString().split(" ");
      fName =fName[0];
     
      ToGetTime();
     
      setCookie('FullnameC',nm,60);
      setCookie('LoginDTC',currentDT.toString(),60);    
     
      
       var username = document.getElementById('m1-iPhoneOCM-txtUsername').value;
       var password = document.getElementById('m1-iPhoneOCM-txtPassword').value;
         if(RemPswdOption == 'false')
         {
           var strRemXML="<ForLogin>";
           strRemXML=strRemXML + "<Remember>" + $('#M1-iPhoneOCM-chkRememberMe > input').is(':checked')+ "</Remember>";
           strRemXML=strRemXML + "<Username>" + username  + "</Username>";
           strRemXML=strRemXML + "<Password>" + password  + "</Password>";
           strRemXML=strRemXML + "</ForLogin>";
           localStorage.setItem('UserLoginInfo',strRemXML);
         }
      SetUserInfoPage();
      populateDboard();                      
      //phoneui.hideActivityDialog();
      //phoneui.gotoPage('m1-Dashboard', 'DEFAULT');     
     
    }
    else
    {
      //phoneui.hideActivityDialog();
      alertMsg("Please enter correct Credentials!");
      document.getElementById('m1-iPhoneOCM-txtUsername').focus();
    }
    }
  }

  function Error(request, status, error)
  {
  alertMsg(error);
  }
    //****************COMMON ALERT*******
 function alertMsg(msg)
  { 
    navigator.notification.vibrate(2500);
    navigator.notification.confirm(
              msg,  // message
              onAlertOK,            // callback to invoke with index of button pressed
              'iLMS',      // title
              'OK'          // buttonLabels
          );
  }
  function onAlertOK(button)
  {
    //alert('Done');
  }
    //**********LOG OUT*************
    function logoutAlert()
{
  navigator.notification.vibrate(2500);
  navigator.notification.confirm(
            'Do you want to Logout?',  // message
             onConfirm,              // callback to invoke with index of button pressed
            'iLMS',            // title
            'Ok,Cancel'          // buttonLabels
        );  
}
   function onConfirm(button)
  {   
      if (button == '1')
      {
        var username = document.getElementById('m1-iPhoneOCM-txtUsername');
        var password = document.getElementById('m1-iPhoneOCM-txtPassword');
        username.value='';
        password.value='';
        username.focus();
        phoneui.gotoPage('m1-iPhoneOCM', 'SLIDE LEFT');
       }
  }  
  //FUNCTION USED FOR GENERAL SEARCH
  function getResult()
  {
    var list = $('#m1-DataDispaly-DataList');
    list.children('#m1-DataDispaly-listItem1').remove();
    GetSearchDetails();
  }  
  function GetSearchDetails()
  {
    var Dropdown= document.getElementById('m1-SearchPage-hidden-select-ddSearch');
    var selectedText = "ShipName";//Dropdown.options[Dropdown.selectedIndex].text;
    var SearchVal= "Anglia Service";//document.getElementById('m1-SearchPage-txtSearch').value;
    //alert(selectedText + ", " + SearchVal);
    $.ajax({
      type: "POST",
      url: webUrl + "WP7FetchSearchDetails?D=" + new Date().toString(),
      data: "{'strSearchCriteria':'" + selectedText + "', 'strSearchText':'" + SearchVal + "', 'strUserName':'"+UserName+"', 'strUserAccess':'"+AccessID+"'}",
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: SearchDeatails,
      error: Error
    });
  }    
  function SearchDeatails(data, status)
  {
    pphoneui.showActivityDialog("Loading...Please Wait!");
    $('#m1-SearchPage :input').attr('disabled', true);
    var output = data.d;
    var v = output.indexOf("</Status>");
    if(v > -1)
    {
      var t = output.split("<Msg>");
      var n = newstr[1].indexOf("</Msg>");
      var m = t[1].substring(0, n);
      alertMsg(m);
      return true;
    }
    setTimeout(function(){myTimer("m1-DataDispaly", "#m1-SearchPage :input")},5000);
    document.getElementById('m1-DataDispaly-txtHeader1').innerText = "Equipment | Description";
    document.getElementById('m1-DataDispaly-txtHeader2').innerText = "Sample Point Identity | Authorised Date";
    if(output == null)
    { 
      var list = $('#m1-DataDispaly-DataList');          
      $(list).append(    
           '<li id="m1-DataDispaly-listItem1"' +  
           'class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6">' +
           '<div id="m1-DataDispaly-listItem1-inner-div">' + 
           '<div id="m1-DataDispaly-text4" class="m1-text m1-font-11 m1-active-color-1"' + 
           '>No Record(s) found</div></div></li>');
    }
    else
    {
      var str = "<NewDataSet><Table><ShipName>Anglia Service</ShipName></Table></NewDataSet>"
      var abc = output.split("<Table>");
      for(var i = 1; i <= abc.length ; i++)
      {
        //var a = abc[i].indexOf("<Table>");
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        var newstr = temp.split("<ShipName>");
        var x = newstr[1].indexOf("</ShipName>");
        var list = $('#m1-DataDispaly-DataList');          
        $(list).append(    
           '<li id="m1-DataDispaly-listItem1"' +  
           'class="m1-first m1-last m1-clickable m1-highlight m1-background-4 m1-background-5 m1-background-6">' +
           '<div id="m1-DataDispaly-listItem1-inner-div">' + 
           '<div id="m1-DataDispaly-text4" class="m1-text m1-font-11 m1-active-color-1"' + 
           '>' + newstr[1].substring(0, x) + '</div></div></li>');
      }
    }
    //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-DataDispaly', 'DEFAULT');
  }
  function SearchFailed(request, status, error) {
      alertMsg("Server connection failed.!");
}
  
var newOptY='';
  //Function To Populate Year
  function populateYear()
  {
      

    var dt = new Date();
    var yrstart = dt.getFullYear();  
    var yrend=yrstart - 20;
    var index = 1;
     if(newOptY== "")
     {
    for (var i = yrstart ; i > yrend; i--)
    {  
      index++;
      if(newOptY== "")
         newOptY=  '<option value="value ' + index + '" label= "' + i + '" >' + i + '</option>';
      else           
         newOptY= newOptY+ '<option value="value ' + index + '" label= "' + i + '" >' + i + '</option>';
     
    }
    $('#m1-SearchSampleStats-hidden-select-cmbYr').append(newOptY);
     }  
    phoneui.gotoPage('m1-SearchSampleStats', 'DEFAULT');

  }
    //To poulate Test analysis criteria combobox
    function populateTACriteria()
    {
      

     var serviceTAUrl = webUrl + "WP7GetTestDetails?D=" + new Date().toString();
    CallTAService(serviceTAUrl); 
    }
      function CallTAService(servicename) 
  {
      var val='';
     $.ajax({
      type: "POST",
      url: servicename,
      data:"{'TestElement':'" + val+ "'}",
      
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: TASuccess,
      error: Error
    });
  }
    var newOptTA ='';
  function TASuccess(data, status) 
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    $('#m1-Dashboard :input').attr('disabled', true);
    setTimeout(function(){myTimer("m1-TestAnalysis", "#m1-Dashboard :input")},5000);
    var output = data.d;    
     if(output != null)
     {
      if(newOptTA =="")
   {
      var abc = output.split("<Table>");
       
      for(var i = 1; i < abc.length ; i++)
      {
        //var a = abc[i].indexOf("<Table>");
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        var newstr = temp.split("<ElementShortName>");
        var x = newstr[1].indexOf("</ElementShortName>");
        var val=newstr[1].substring(0, x);
        var TAlist = $('#m1-TestAnalysis-hidden-select-cmbTACriteria');          
               
        if(newOptTA == "")
           newOptTA ='<option value="value ' + val  + '" label= "' + val + '">' +  val + '</option>';
          else
            
        newOptTA = newOptTA + '<option value="value ' + i + '" label= "' + val + '">' +  val + '</option>';
      }
        TAlist.append(newOptTA );
   }     
     //phoneui.hideActivityDialog(); 
    //phoneui.gotoPage('m1-TestAnalysis', 'DEFAULT');
  }
 
  } 
    
    
     //To poulate Test analysis criteria combobox
    function populatePort()
    {
      

     var serviceUrl = webUrl + "WP7GetPortDetails_Overload?D=" + new Date().toString();
    CallPortService(serviceUrl ); 
    }
      function CallPortService(servicename) 
      {
         $.ajax({
          type: "POST",
          url: servicename,
          data: "{'Username':'" + UserName+ "'}",
          contentType: "application/json; charset=utf-8",
          dataType: "json",
          success: SuccessP,
          error: Error
        });
      }
 var newOpt='';
  function SuccessP(data,status) 
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-LocatePort")},5000);
    var output = data.d;  
    if(output != null)
    {
    var abc = output.split("<Table>");
   
   if(newOpt=="")
   {
      for(var i = 1; i < abc.length ; i++)
      {      
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        var newstr = temp.split("<portName>");
        var x = newstr[1].indexOf("</portName>");
        var val= newstr[1].substring(0, x);                
      
        if(newOpt == "")
           newOpt='<option value="value ' + val  + '" label= "' + val + '">' +  val + '</option>';
          else
            
        newOpt= newOpt + '<option value="value ' + i + '" label= "' + val + '">' +  val + '</option>';
      }  
   
       $('#m1-LocatePort-hidden-select-cmbPort').append(newOpt);
    }
      //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-LocatePort', 'DEFAULT');
  }
 
  }
        //To populate search result from Sample Priority
    var strprior='';
    function SamplePriorityResult(strp,strpage)
    {  
      

      var list = $('#m1-SampleUnknown-list1');
      list.children('#m1-SampleUnknown-listItem1').remove();
      var strAccess ='1';
      var strUname ='admin';
      var strPrior = strp;
      strprior=strPrior ;
      if(strpage == 'P')
      {
        
      var servParam = "{'strPriority':'" + strPrior + "', 'strUserName':'" + UserName+ "', 'strUserAccess':'" + AccessID+ "'}";
       GetUnknownResult(servParam);
      }
      else if(strpage  == 'S')
      {
        
       var servParam = "{'strStage':'" + strPrior + "', 'strUserName':'" + UserName+ "', 'strUserAccess':'" + AccessID+ "'}";
       GetStageResult(servParam);
      }
       else if(strpage  == 'A')
      {
        strPrior ='';
       var servParam = "{'strRecordID':'" + strPrior + "', 'strUserName':'" + UserName+ "', 'strUserAccess':'" + AccessID+ "'}";
       GetLastsampleResult(servParam);
      }
      
      
    }

  function GetUnknownResult(servParam)
  {     
      $.ajax({
      type: "POST",
      url: webUrl + "WP7GetSampleInfoByPriority?D=" + new Date().toString(),
      data:servParam,    
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: SearchDetails,
      error: Error
    });
  } 
var strPriorityReportVal='<PriorXML>';
var strPriorityStatus=''; 
var strStageStatus='';
function getStatusVal(status)
  {
      if(status == '1')
          strPriorityStatus= 'Unknown';                      
      else if(status == '4')
          strPriorityStatus= 'Urgent';
      else if(status == '3')
          strPriorityStatus= 'Caution';
      else if(status == '2')
          strPriorityStatus= 'Normal';
      else if(status == 'W')
          strStageStatus= 'Waiting for Preparation';
      else if(status == 'V')
          strStageStatus= 'In Progress';
      else if(status == 'A')
          strStageStatus= 'Authorised';
      else if(status == 'C')
          strStageStatus= 'Pending Approval';
      else if(status == 'S')
          strStageStatus= 'Suspended';
  }
var xmlTab = null;;
  function SearchDetails(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
     setTimeout(function(){myTimer("m1-SampleUnknown")},5000);
     var header1 = document.getElementById('m1-SampleUnknown-text4'); 
     var header2 = document.getElementById('m1-SampleUnknown-text5'); 
     var output = data.d;
     if(output == null)
    { 
     header1.innerHTML = "No record found" ;  
     header2.innerHTML ='';         
        
    }
    else
    {
      var imgname='';
      var lblname='';
     if(strprior == '1')
     {
       imgname='Unknown.png';
       lblname='Unknown'; 
     }
     else if(strprior == '2')
     {
       imgname='Normal.png';
       lblname='Normal'; 
     }
     else if(strprior == '3')
     {
       imgname='Caution.png';
       lblname='Caution'; 
     }
     else if(strprior == '4')
     {
       imgname='Urgent.png';
       lblname='Urgent'; 
     }      
     
     $('#m1-SampleUnknown-image5').attr('src',("images/"+ imgname));
     
     var header = document.getElementById('m1-SampleUnknown-text3');
     
     header.innerHTML = "Samples - " + lblname ;
     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = " Location | Sample |" ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = "Equipment | Sample Date" ;
      var abc = output.split("<Table>");
      xmlTab = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        var port= temp.split("<Port>");
        var xPort = port[1].indexOf("</Port>");
        var LabelNo= temp.split("<LabelNo>");
        var xLabelNo = LabelNo[1].indexOf("</LabelNo>");
        var JobName= temp.split("<ShipIdentity>");
        var xJobName = JobName[1].indexOf("</ShipIdentity>");
        var Dt= temp.split("<SampledDate>");
        var xDt = Dt[1].indexOf("</SampledDate>");
        var SampleStatus= temp.split("<SampleStatus>");
        var xSampleStatus = SampleStatus[1].indexOf("</SampleStatus>");
        var Status= temp.split("<Status>");
        var xStatus = Status[1].indexOf("</Status>");
        var LabName= temp.split("<LabName>");
        var xLabName = LabName[1].indexOf("</LabName>");
        var LabelComment= temp.split("<LabelComment>");
        var xLabelComment = LabelComment[1].indexOf("</LabelComment>");
        var Symptoms= temp.split("<Symptoms>");
        var xSymptoms = Symptoms[1].indexOf("</Symptoms>");
        var Comment= temp.split("<Comment>");
        var xComment = Comment[1].indexOf("</Comment>");      
             
        var dtn=Dt[1].substring(0, xDt);
        var dtn1=dtn.split("+");
        var dtn2=dtn1[0].split("T");
       
        var dtF = dtn2[0];// + " " + dtn1[1] ;
        var strport=port[1].substring(0, xPort );
        strport=strport.replace(' ','&nbsp;');
        var strLabelNo= LabelNo[1].substring(0, xLabelNo) ;
        var strJobName=  JobName[1].substring(0, xJobName) ;
        var strSampleStatus=  SampleStatus[1].substring(0, xSampleStatus) ;
        var strStatus =  Status[1].substring(0, xStatus) ;
        var strLabName=  LabName[1].substring(0, xLabName) ;
        var strLabelComment=  LabelComment[1].substring(0, xLabelComment) ;
        var strSymptoms=  Symptoms[1].substring(0, xSymptoms) ;
        var strComment=  Comment[1].substring(0, xComment) ;
        strStageStatus='';   
       getStatusVal(strStatus);
         // var strPriorityReportVal='<PriorXML>';
        if(i == 1)
        {
          strPriorityReportVal='';
          strPriorityReportVal='<PriorXML>';
        }
        strPriorityReportVal = strPriorityReportVal + "<row>" + i + "|"+ "Location," + strport + "|" + "Sample,"+ strLabelNo  + "|" + "Equipment," + strJobName  + "|" + "Sample Date," +  dtF  + "|" + "Priority," + strSampleStatus  + "|" + "Stage," +  strStageStatus+ "|" + "Lab Name," + strLabName + "|" + "Label Comment," + strLabelComment + "|" + "Symptoms," + strSymptoms + "|" + "Comment," + strComment +"</row>";
   
             
             
             
        var list = $('#m1-SampleUnknown-list1');          
        list.append(               
                '<li id="m1-SampleUnknown-listItem1" onClick="ToViewReport('+ i +');"' +
                'class="m1-first m1-last m1-clickable m1-highlight m1-background-3 m1-background-9 m1-background-10">'+
                '<div id="m1-SampleUnknown-listItem1-inner-div">'+  
                '<div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-16">'+ i + '.'+
                '</div><div id="m1-SampleUnknown-textline1" class="m1-text m1-active-color-1 m1-font-2">'+
                  strport + '&nbsp;|&nbsp;' + LabelNo[1].substring(0, xLabelNo )+ '&nbsp;|&nbsp;'
                 + '</div><div id="m1-SampleUnknown-textline2" class="m1-text m1-active-color-1 m1-font-2">'+
                  JobName[1].substring(0, xJobName ) + '&nbsp;|&nbsp;' + dtF +'</div></div></li>');   
               
       
      }
    }
     //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-SampleUnknown', 'DEFAULT');
  }
 //To populate search result from Sample In Stages
   
 
  function GetStageResult(servParam)
  {     
      $.ajax({
      type: "POST",
      url: webUrl + "WP7GetSampleInfoByStage?D=" + new Date().toString(),
      data:servParam,    
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: SearchStageDetails,
      error: Error
    });
  }    
  function SearchStageDetails(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-SampleUnknown")},5000);
    var output = data.d;
     if(output == null)
    { 
     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "No Record found" ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = '' ;
    
    }
    else
    {
      var imgname='';
      var lblname='';
     if(strprior== 'W')
     {
       imgname='Waiting.png';
       lblname='Waiting'; 
     }
     else if(strprior== 'V')
     {
       imgname='InProgress.png';
       lblname='In Progress'; 
     }
     else if(strprior== 'A')
     {
       imgname='Authorised.png';
       lblname='Authorised'; 
     }
     else if(strprior== 'C')
     {
       imgname='Pending.png';
       lblname='Pending'; 
     }
     else if(strprior== 'S')
     {
       imgname='Suspended.png';
       lblname='Suspended'; 
     }
    // var headerimg = document.getElementById('m1-SampleUnknown-image5');
     //headerimg.src="/images/"+ imgname;
       $('#m1-SampleUnknown-image5').attr('src',("images/"+ imgname));
     var header = document.getElementById('m1-SampleUnknown-text3');
     
     header.innerHTML = "Samples - " + lblname ;
     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "Location | Sample | Equipment | " ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = "Sample Date | Authorised Date" ;
      var abc = output.split("<Table>");
      xmlTab = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        
        var port= temp.split("<Port>");
        var xPort = port[1].indexOf("</Port>");
        var LabelNo= temp.split("<LabelNo>");
        var xLabelNo = LabelNo[1].indexOf("</LabelNo>");
        var JobName= temp.split("<ShipIdentity>");
        var xJobName = JobName[1].indexOf("</ShipIdentity>");
        var Dt= temp.split("<SampledDate>");
        var xDt = Dt[1].indexOf("</SampledDate>");
        var ADt= temp.split("<AuthorisedDate>");
        var xADt = ADt[1].indexOf("</AuthorisedDate>"); 
        
        var ConditionCode= temp.split("<ConditionCode>");
        var xConditionCode = ConditionCode[1].indexOf("</ConditionCode>");
        var Status= temp.split("<Status>");
        var xStatus = Status[1].indexOf("</Status>");
        var LabName= temp.split("<LabName>");
        var xLabName = LabName[1].indexOf("</LabName>");
        var LabelComment= temp.split("<LabelComment>");
        var xLabelComment = LabelComment[1].indexOf("</LabelComment>");
        var Symptoms= temp.split("<Symptoms>");
        var xSymptoms = Symptoms[1].indexOf("</Symptoms>");     
        var Comment= temp.split("<Comment>");
        var xComment = Comment[1].indexOf("</Comment>");
        
        var dtn=Dt[1].substring(0, xDt);
        var dtn1=dtn.split("+");
        var dtn2=dtn1[0].split("T");        
        var dtF = dtn2[0];// + " " + dtn1[1] ;        
        var dta=ADt[1].substring(0, xADt);
        var dta1=dta.split("+");
        var dta2=dta1[0].split("T"); 
        var dtaF=dta2[0];// + " " + dta1[1] ;
        var strport=port[1].substring(0, xPort );
        strport=strport.replace(' ','&nbsp;');
        
        
        var strLabelNo= LabelNo[1].substring(0, xLabelNo) ;
        var strJobName=  JobName[1].substring(0, xJobName) ;
        var strConditionCode=  ConditionCode[1].substring(0, xConditionCode) ;
        var strStatus=  Status[1].substring(0, xStatus) ;
        var strLabName=  LabName[1].substring(0, xLabName) ;
        var strLabelComment=  LabelComment[1].substring(0, xLabelComment) ;
        var strSymptoms=  Symptoms[1].substring(0, xSymptoms) ;
        var strComment=  Comment[1].substring(0, xComment) ;
        strPriorityStatus=''; 
        strStageStatus='';
        getStatusVal(strConditionCode);
        getStatusVal(strStatus);
           if(strConditionCode == '')
           {
             strConditionCode ='Priority';
           }
         // var strPriorityReportVal='<PriorXML>';
        if(i == 1)
        {
          strPriorityReportVal='';
          strPriorityReportVal='<PriorXML>';
        }
        strPriorityReportVal = strPriorityReportVal + "<row>" + i + "|"+ "Location," + strport + "|" + "Sample,"+ strLabelNo  + "|" + "Equipment," + strJobName  + "|" + "Sample Date," +  dtF  + "|" + "Authorised Date," +  dtaF+ "|" + "Priority," + strPriorityStatus+ "|" + "Stage," +  strStageStatus + "|" + "Lab Name," + strLabName + "|" + "Label Comment," + strLabelComment + "|" + "Symptoms," + strSymptoms + "|" + "Comment," + strComment +"</row>";
   
             
          
        var list = $('#m1-SampleUnknown-list1');          
        list.append(  
           '<li id="m1-SampleUnknown-listItem1" onClick="ToViewReport('+ i +');"' +
                
                'class="m1-first m1-last m1-clickable m1-highlight m1-background-3 m1-background-9 m1-background-10">'+
                '<div id="m1-SampleUnknown-listItem1-inner-div">'+  
                '<div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-16">'+ i + '.'+
                '</div><div id="m1-SampleUnknown-textline1" class="m1-text m1-active-color-1 m1-font-2">'+
                  strport + '&nbsp;|&nbsp;' + LabelNo[1].substring(0, xLabelNo )+ '&nbsp;|&nbsp;'  +  JobName[1].substring(0, xJobName ) + '&nbsp;|&nbsp;'
                 + '</div><div id="m1-SampleUnknown-textline2" class="m1-text m1-active-color-1 m1-font-2">'+
                dtF + '&nbsp;|&nbsp;' + dtaF +'</div></div></li>');   
              
      }
    }
      //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-SampleUnknown', 'DEFAULT');
  }
 //To populate search result from Last 10 Sample   
 
  function GetLastsampleResult(servParam)
  {     
      $.ajax({
      type: "POST",
      url: webUrl + "WP7GetTodaysSample?D=" + new Date().toString(),
      data:servParam,    
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: SearchSampleDetails,
      error: Error
    });
  }    
  function SearchSampleDetails(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-SampleUnknown")},5000);
    var output = data.d;
     if(output == null)
    { 
      var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "No Record found" ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = '' ;
    }
    else
    {
      var imgname='';
      var lblname='';
   
       imgname='TestAnalysis.png';
       lblname='Last 10 Samples'; 
     
    // var headerimg = document.getElementById('m1-SampleUnknown-image5');
    // headerimg.src="/images/"+ imgname;
       $('#m1-SampleUnknown-image5').attr('src',("images/"+ imgname));
     var header = document.getElementById('m1-SampleUnknown-text3');
     
     header.innerHTML =  lblname ;
     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "Equipment | Sample Point Identity | " ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = "Job Name | Oil Type" ;
      var abc = output.split("<Table>");
      xmlTab = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);       
        var Ship= temp.split("<ShipIdentity>");
        var xShip = Ship[1].indexOf("</ShipIdentity>");
        var Point= temp.split("<SamplePointIdentity>");
        var xPoint = Point[1].indexOf("</SamplePointIdentity>");
        var JobName= temp.split("<JobName>");
        var xJobName = JobName[1].indexOf("</JobName>");
        var Oil= temp.split("<OilType>");
        var xOil = Oil[1].indexOf("</OilType>");
        var ConditionCode= temp.split("<ConditionCode>");
        var xConditionCode = ConditionCode[1].indexOf("</ConditionCode>");
       
         var strPoint= Point[1].substring(0, xPoint) ;
        var strJobName=  JobName[1].substring(0, xJobName) ;
        var strConditionCode=  ConditionCode[1].substring(0, xConditionCode) ;
        var strOil=  Oil[1].substring(0, xOil) ;
        strPriorityStatus=''; 
        getStatusVal(strConditionCode);  
        if(i == 1)
        {
          strPriorityReportVal='';
          strPriorityReportVal='<PriorXML>';
        }
        var strShip=Ship[1].substring(0, xShip );
        strShip=strShip.replace(' ','&nbsp;');
        strPriorityReportVal = strPriorityReportVal + "<row>" + i + "|"+ "Equipment," + strShip+ "|" + "Sample Point Id,"+ strPoint+ "|" + "Job Name," + strJobName  + "|" + "Oil Type," + strOil+ "|" + "Status," + strPriorityStatus+"</row>";
   
        var list = $('#m1-SampleUnknown-list1');          
        list.append(               
               '<li id="m1-SampleUnknown-listItem1" onClick="ToViewReport('+ i +');"' +
            'class="m1-first m1-last m1-clickable m1-highlight m1-background-3 m1-background-9 m1-background-10">'+
                '<div id="m1-SampleUnknown-listItem1-inner-div">'+  
                '<div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-16">'+ i + '.'+
                '</div><div id="m1-SampleUnknown-textline1" class="m1-text m1-active-color-1 m1-font-2">'+
                  strShip+ '&nbsp;|&nbsp;' + Point[1].substring(0, xPoint )+ '&nbsp;|&nbsp;'
                 + '</div><div id="m1-SampleUnknown-textline2" class="m1-text m1-active-color-1 m1-font-2">'+
                  JobName[1].substring(0, xJobName ) + '&nbsp;|&nbsp;' +  Oil[1].substring(0, xOil) +'</div></div></li>');   
               
               
      }
    }
      //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-SampleUnknown', 'DEFAULT');
  }
 //To populate search result from Sample In Stages
   function GetUnitResult()
  {
     var list = $('#m1-SampleUnknown-list1');
      list.children('#m1-SampleUnknown-listItem1').remove();
     
     var strAccess ='1';
     var strUname ='admin';
     var strSortvar='ShipName DESC';
    
    var Dropdown= document.getElementById('m1-SearchByUnitID-hidden-select-combobox1');
    var selectedText = Dropdown.options[Dropdown.selectedIndex].value;
    if(selectedText == "--Select Search Field--")
    {
      alertMsg("Please select a criteria");
      return;
    }
    var SearchVal= document.getElementById('m1-SearchByUnitID-textField4').value;
    //alertMsg(selectedText + ", " + SearchVal);
    $.ajax({
      type: "POST",
      url: webUrl + "WP7GetListOfUnitID?E=" + RandomID(5),
      data: "{'strSort':'" + strSortvar + "','strSearchType':'" + selectedText + "', 'strSearchVal':'" + SearchVal + "','strAccess':'" + AccessID+ "','strUsername':'" + UserName+ "'}",
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: GetUnitResultset,
      error: Error
    });
  }    
 
 
  function GetUnitResultset(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-SampleUnknown")},5000);
    var output = data.d;
      var imgname='';
      var lblname=''; 
       imgname='ViewReport.png';
       lblname='View Unit ID'; 
    // var headerimg = document.getElementById('m1-SampleUnknown-image5');
    // headerimg.src="/images/"+ imgname;
     $('#m1-SampleUnknown-image5').attr('src',("images/"+ imgname));
     var header = document.getElementById('m1-SampleUnknown-text3');
   
     header.innerHTML = lblname ;
     if(output == null)
    { 
      var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "No Record found" ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = '' ;  
    }
    else
    {

     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "Equipment Name | Description | " ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = "Sample Point Identity | Owner Name | Oil Type" ;
      var abc = output.split("<Table>");
      xmlTab = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        
        var ship= temp.split("<ShipName>");
        var xship = ship[1].indexOf("</ShipName>");
        var desc= temp.split("<description>");
        var xdesc = desc[1].indexOf("</description>");
        var samplepoint= temp.split("<SamplePointIdentity>");
        var xsamplepoint = samplepoint[1].indexOf("</SamplePointIdentity>");
        var owner= temp.split("<OwnerName>");
        var xowner = owner[1].indexOf("</OwnerName>");
        var oil= temp.split("<OilType>");
        var xoil= oil[1].indexOf("</OilType>");     
        var JobName= temp.split("<JobName>");
        var xJobName = JobName[1].indexOf("</JobName>");
        var ConditionCode= temp.split("<ConditionCode>");
        var xConditionCode= ConditionCode[1].indexOf("</ConditionCode>");     
        
         
        var strship= ship[1].substring(0, xship) ;
        var strdesc=  desc[1].substring(0, xdesc) ;
        var strsamplepoint= samplepoint[1].substring(0, xsamplepoint) ;
        var strowner=  owner[1].substring(0, xowner) ;
        var strJobName=  JobName[1].substring(0, xJobName) ;      
        var strConditionCode=  ConditionCode[1].substring(0, xConditionCode) ;
        var strOil=  oil[1].substring(0, xoil) ;
      
        strPriorityStatus=''; 
        getStatusVal(strConditionCode); 
        if(i == 1)
        {
          strPriorityReportVal='';
          strPriorityReportVal='<PriorXML>';
        }
        
         strPriorityReportVal = strPriorityReportVal + "<row>" + i + "|"+ "Equipment Name," + strship + "|" + "Description," + strdesc+ "|" + "Sample Point Id,"+ strsamplepoint+ "|" + "Owner Name," + strowner+ "|" + "Job Name," + strJobName  + "|"  + "Oil Type," + strOil+ "|" + "Status," + strPriorityStatus+"</row>";
  
        var strship=ship[1].substring(0, xship);
        strship=strship.replace(' ','&nbsp;');
        var list = $('#m1-SampleUnknown-list1');          
        list.append(               
                '<li id="m1-SampleUnknown-listItem1" onClick="ToViewReport('+ i +');"' +
                'class="m1-first m1-last m1-clickable m1-highlight m1-background-3 m1-background-9 m1-background-10">'+
                '<div id="m1-SampleUnknown-listItem1-inner-div">'+  
                '<div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-16">'+ i + '.'+
                '</div><div id="m1-SampleUnknown-textline1" class="m1-text m1-active-color-1 m1-font-2">'+
                  strship + '&nbsp;|&nbsp;' + desc[1].substring(0, xdesc)+ '&nbsp;|&nbsp;'  +  samplepoint[1].substring(0, xsamplepoint ) + '&nbsp;|&nbsp;'
                 + '</div><div id="m1-SampleUnknown-textline2" class="m1-text m1-active-color-1 m1-font-2">'+
                owner[1].substring(0, xowner)+ '&nbsp;|&nbsp;' + oil[1].substring(0, xoil)+'</div></div></li>');   
              
      }
    }
     //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-SampleUnknown', 'DEFAULT');
  }
 //To populate search result from general Search
   function GSResult()
  {
     var list = $('#m1-SampleUnknown-list1');
      list.children('#m1-SampleUnknown-listItem1').remove();
     
     var strAccess ='1';
     var strUname ='admin';
    
    var Dropdown= document.getElementById('m1-SearchPage-hidden-select-ddSearch');
    var selectedText = Dropdown.options[Dropdown.selectedIndex].value;
    if(selectedText =="--Select Search Field--")
    {
      alertMsg("Please select a criteria");
      return;
    }
    var SearchVal= document.getElementById('m1-SearchPage-txtSearch').value;
   
    $.ajax({
      type: "POST",
      url: webUrl + "WP7FetchSearchDetails?E=" + RandomID(5),
       data: "{'strSearchCriteria':'" + selectedText + "', 'strSearchText':'" + SearchVal + "', 'strUserName':'"+UserName+"', 'strUserAccess':'"+AccessID+"'}",
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: GetGSResultset,
      error: Error
    });
  }    
 
 
  function GetGSResultset(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
     setTimeout(function(){myTimer("m1-SampleUnknown")},5000); 
     var output = data.d;
     document.getElementById('m1-SampleUnknown-text3').innerHTML = "Sample Search Result";
     if(output == null)
    { 
      var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "No Record found" ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');         
     header2.innerHTML = '' ;
    }
    else
    {
      var imgname='';
      var lblname=''; 
    
       imgname='Search.png';
       lblname='General Search'; 
    // var headerimg = document.getElementById('m1-SampleUnknown-image5');
   //  headerimg.src="/images/"+ imgname;
    $('#m1-SampleUnknown-image5').attr('src',("images/"+ imgname));
     var header = document.getElementById('m1-SampleUnknown-text3');
   
     header.innerHTML = lblname ;
     var header1 = document.getElementById('m1-SampleUnknown-text4');     
     header1.innerHTML = "Equipment Name | Description | " ;
     var header2 = document.getElementById('m1-SampleUnknown-text5');     
     header2.innerHTML = "Sample Point Identity | Authorised Date" ;
      var abc = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        
        var ship= temp.split("<ShipName>");
        var xship = ship[1].indexOf("</ShipName>");
        var desc= temp.split("<description>");
        var xdesc = desc[1].indexOf("</description>");
        var samplepoint= temp.split("<SamplePointIdentity>");
        var xsamplepoint = samplepoint[1].indexOf("</SamplePointIdentity>");
        var JobName= temp.split("<JobName>");
        var xJobName = JobName[1].indexOf("</JobName>");
        var ConditionCode= temp.split("<ConditionCode>");
        var xConditionCode= ConditionCode[1].indexOf("</ConditionCode>");     
        
        var Dt= temp.split("<AuthorisedDate>");
        var xDt = Dt[1].indexOf("</AuthorisedDate>");
        var dtn=Dt[1].substring(0, xDt);
        var dtn1=dtn.split("+");
        var dtn2=dtn1[0].split("T");       
        var dtF = dtn2[0];// + " " + dtn1[1] ;         
         
        var strship= ship[1].substring(0, xship) ;
        var strdesc=  desc[1].substring(0, xdesc) ;
        var strsamplepoint= samplepoint[1].substring(0, xsamplepoint) ;
        var strJobName=  JobName[1].substring(0, xJobName) ;      
        var strConditionCode=  ConditionCode[1].substring(0, xConditionCode) ;
        strPriorityStatus=''; 
        getStatusVal(strConditionCode);  
           if(i == 1)
        {
          strPriorityReportVal='';
          strPriorityReportVal='<PriorXML>';
        }
        
         strPriorityReportVal = strPriorityReportVal + "<row>" + i + "|"+ "Equipment Name," + strship + "|" + "Description," + strdesc+ "|" + "Sample Point Id,"+ strsamplepoint+ "|" + "Job Name," + strJobName+ "|" + "Authorised Date," + dtF + "|"  + "Status," + strPriorityStatus+"</row>";
              
        var strship=ship[1].substring(0, xship);
        strship=strship.replace(' ','&nbsp;');
        
        
        var list = $('#m1-SampleUnknown-list1');          
        list.append(               
                 '<li id="m1-SampleUnknown-listItem1" onClick="ToViewReport('+ i +');"' +
                'class="m1-first m1-last m1-clickable m1-highlight m1-background-3 m1-background-9 m1-background-10">'+
                '<div id="m1-SampleUnknown-listItem1-inner-div">'+  
                '<div id="m1-SampleUnknown-textsl" class="m1-text m1-active-color-1 m1-font-16">'+ i + '.'+
                '</div><div id="m1-SampleUnknown-textline1" class="m1-text m1-active-color-1 m1-font-2">'+
                  strship + '&nbsp;|&nbsp;' + desc[1].substring(0, xdesc)+ '&nbsp;|&nbsp;'
           
                 + '</div><div id="m1-SampleUnknown-textline2" class="m1-text m1-active-color-1 m1-font-2">'+
                samplepoint[1].substring(0, xsamplepoint ) + '&nbsp;|&nbsp;' + dtF +'</div></div></li>');   
              
      }
    }
      //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-SampleUnknown', 'DEFAULT');
  }
 //To populate search result from general Search
var Criteria='';
var criteriaTxt='';
var criteriaText = '';
var Yearval='';
 var CriteriaVal='';
var TotCount='';
   function getSampleStatsResult()
  {       
    var ddlCriteria= document.getElementById('m1-SearchSampleStats-hidden-select-cmbCriteria');
    Criteria= ddlCriteria.options[ddlCriteria.selectedIndex].value;
    criteriaTxt = ddlCriteria.options[ddlCriteria.selectedIndex].text;
    if(Criteria=="--Select Search Field--")
    {
      alertMsg("Please select a criteria.");
      return;
    }
    var ddlYr= document.getElementById('m1-SearchSampleStats-hidden-select-cmbYr');
    Yearval= ddlYr.options[ddlYr.selectedIndex].text;
    if(Yearval=="--Select Year--")
    {
      alertMsg("Please select a Year.");
      return;
    }
    CriteriaVal= document.getElementById('m1-SearchSampleStats-txtValue').value;
    if(CriteriaVal == "")
      {
      alertMsg("Please enter value.");
      return;
    }
    criteriaText = ddlCriteria.options[ddlCriteria.selectedIndex].text;
    $.ajax({
      type: "POST",
      url: webUrl + "WP7GetSampleStats?E=" + RandomID(5),
      data: "{'strSearchType':'" + Criteria + "', 'strSearchVal':'" + CriteriaVal + "','strSearchYr':'" + Yearval + "', 'strAccess':'" + AccessID +"', 'strUsername':'" + UserName +"'}",
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: GetSSResultset,
      error: Error
    });
  }    
 
 
  function GetSSResultset(data,status)
  {
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-SampleStatsResult")},5000);
    var output = data.d;
     var header1 = document.getElementById('m1-SampleStatsResult-Header1');     
     
     var header2 = document.getElementById('m1-SampleStatsResult-Header2');     
    
     if(output == null)
    { 
      header1.innerHTML = criteriaTxt + " : " + CriteriaVal ;
      header2.innerHTML = "Year : " + Yearval + "Total Count : 0"  ;
    }
    else
    {
      
      
      var abc = output.split("<Table>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</Table>");
        var temp = abc[i].substring(0, b);
        
        var Jan= temp.split("<Jan>");
        var xJan = Jan[1].indexOf("</Jan>");
        var Feb= temp.split("<Feb>");
        var xFeb = Feb[1].indexOf("</Feb>");       
        var Mar= temp.split("<Mar>");
        var xMar = Mar[1].indexOf("</Mar>");       
        var Apr= temp.split("<Apr>");
        var xApr = Apr[1].indexOf("</Apr>");       
        var May= temp.split("<May>");
        var xMay = May[1].indexOf("</May>");
        var Jun= temp.split("<Jun>");
        var xJun = Jun[1].indexOf("</Jun>");       
        var Jul= temp.split("<Jul>");
        var xJul = Jul[1].indexOf("</Jul>");     
        var Aug= temp.split("<Aug>");
        var xAug = Aug[1].indexOf("</Aug>");       
        var Sep= temp.split("<Sep>");
        var xSep = Sep[1].indexOf("</Sep>");  
        var Oct= temp.split("<Oct>");
        var xOct = Oct[1].indexOf("</Oct>");       
        var Nov= temp.split("<Nov>");
        var xNov = Nov[1].indexOf("</Nov>");       
        var Dec= temp.split("<Dec>");
        var xDec = Dec[1].indexOf("</Dec>");       
        var YearCount= temp.split("<YearCount>");
        var xYearCount = YearCount[1].indexOf("</YearCount>");
       TotCount=YearCount[1].substring(0, xYearCount );
        
       var txtJan= document.getElementById('m1-SampleStatsResult-txtjan');     
       var txtFeb= document.getElementById('m1-SampleStatsResult-txtFeb');     
       var txtMar= document.getElementById('m1-SampleStatsResult-txtMar');     
       var txtApr= document.getElementById('m1-SampleStatsResult-txtApr');     
       var txtMay= document.getElementById('m1-SampleStatsResult-txtMay');     
       var txtJun= document.getElementById('m1-SampleStatsResult-txtJun');     
       var txtJul= document.getElementById('m1-SampleStatsResult-txtJul');     
       var txtAug= document.getElementById('m1-SampleStatsResult-txtAug');     
       var txtSep= document.getElementById('m1-SampleStatsResult-txtSep');     
       var txtOct= document.getElementById('m1-SampleStatsResult-txtOct');     
       var txtNov= document.getElementById('m1-SampleStatsResult-txtNov');     
       var txtDec= document.getElementById('m1-SampleStatsResult-txtDec');     
              
          txtJan.innerHTML = Jan[1].substring(0, xJan);
          txtFeb.innerHTML= Feb[1].substring(0, xFeb); 
          txtMar.innerHTML = Mar[1].substring(0, xMar);
          txtApr.innerHTML = Apr[1].substring(0, xApr);
          txtMay.innerHTML = May[1].substring(0, xMay);
          txtJun.innerHTML = Jun[1].substring(0, xJun);
          txtJul.innerHTML = Jul[1].substring(0, xJul);
          txtAug.innerHTML = Aug[1].substring(0, xAug);
          txtSep.innerHTML = Sep[1].substring(0, xSep);
          txtOct.innerHTML = Oct[1].substring(0, xOct);
          txtNov.innerHTML = Nov[1].substring(0, xNov);
          txtDec.innerHTML = Dec[1].substring(0, xDec);
               
      }
      header1.innerHTML = criteriaText + " : " + CriteriaVal ;
      header2.innerHTML = "Year : " + Yearval + "  Total Count : " + TotCount;
  
    }
     //phoneui.hideActivityDialog(); 
    //phoneui.gotoPage('m1-SampleStatsResult', 'DEFAULT');
  }
//For Showing Port in Google Map
function toShowMap()
{
   phoneui.showActivityDialog("Loading...Please Wait!");
   setTimeout(function(){myTimer("m1-ShowMap")},5000);
    var Dropdown= document.getElementById('m1-LocatePort-hidden-select-cmbPort');
    var selectedText = Dropdown.options[Dropdown.selectedIndex].text;
    if(selectedText =="--Select Location--")
    {
      alertMsg("Please select a location");
      return;
    }
    //var geocoder;
    var geocoder = new google.maps.Geocoder();
    var TotalVal='';
    var address =selectedText ;
    geocoder.geocode( { 'address': address}, function(results, status) {
        if (status == google.maps.GeocoderStatus.OK) {

            TotalVal=results[0].geometry.location;
            var a1=results[0].geometry.location.Ya;
            var a2=results[0].geometry.location.Za;    

            var num = parseFloat(a1);
            var lat= num.toFixed(10);
            lat= lat.substring(0, lat.length-7);

            var num2 = parseFloat(a2);
            var lon= num2.toFixed(10);
            lon= lon.substring(0, lon.length-7);

            $('[id$=MapView]').gmapready(function(gmap) {
            var centerPos = new google.maps.LatLng(lat,lon);
            gmap.setCenter(centerPos);
            var pos1 = new google.maps.LatLng(lat,lon);
            showMarkers(gmap,pos1,selectedText);
            });
          //position at north end of main street
         //phoneui.hideActivityDialog();
         // phoneui.gotoPage('m1-ShowMap', 'DEFAULT');

        } else {
           phoneui.hideActivityDialog();
            alertMsg("Unable to show the map for the following reason: " + status);
        }
    });
}


function showMarkers(gmap, pos1,selectedText) {

  var marker1 = new google.maps.Marker({  
          position:  pos1,
          map: gmap,
          title: "Position 1",  
          clickable: true
   });  
   var infowindow1 = new google.maps.InfoWindow({
     content: selectedText 
   });
   google.maps.event.addListener(marker1, 'click', function() {
     infowindow1.open(gmap,marker1);
   });
}
//----------------------To Display Analyze Reports Chart------------
 var imgUrl = '';
 function GetACharts()
    { 
      $.ajax({
      type: "POST",  
      url: webUrl + "AnalyzeReportsCharts?E=" + RandomID(5),
      data: "{'strImgFolder':'" + UserName + "'}",    
      contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: GetAChartsList,
      error: Error
    });
      phoneui.showActivityDialog("Loading...Please Wait!");
      setTimeout(function(){myTimer("m1-AnalyzeReports")},6000);
  }    
  function GetAChartsList(data)
  {
    var chart1='';
    var chart2='';
    var chart3='';
    var chart4='';
    var chart5='';
    var chart6='';
     
    var grpDv = document.getElementById('dboardgraphs'); 
    grpDv.innerHTML = "";
    var output = data.d;
    imgUrl = data.d;
    if(output == null)
    {            
        
    }
    else
    {
      var arr = output.toString().split(",");
      chart1=arr[0].toString();
      chart2=arr[1].toString();
      chart3=arr[2].toString();
      chart4=arr[3].toString();
      chart5=arr[4].toString();
      chart6=arr[5].toString();
        var strpXML = "<ARImage>";
    strpXML = strpXML + "<Chart1>"+arr[0]+"</Chart1>";
    strpXML = strpXML + "<Chart2>"+arr[1]+"</Chart2>";
    strpXML = strpXML + "<Chart3>"+arr[2]+"</Chart3>";
    strpXML = strpXML + "<Chart4>"+arr[3]+"</Chart4>"; 
    strpXML = strpXML + "<Chart5>"+arr[4]+"</Chart5>";
    strpXML = strpXML + "<Chart6>"+arr[5]+"</Chart6>";  
    strpXML = strpXML + "</ARImage>";
     localStorage.setItem('ARImage',strpXML );
      //var jkl = "";
      for(var i=0;i<output.length;i++)
      {
        //var m = (i+1).toString();
        var n="A";
        
        grpDv.innerHTML += '<div class="m1-text m1-font-4"'+
              '>'+output[i][1]+'</div>';
        grpDv.innerHTML += '<img class="m1-clickable m1-image" width=100% src="'+output[i][0]+'"'+
              ' onclick="largeView(' + i + ');"/>';
      }
      
      /*if(chart1)
      {
         $('#m1-AnalyzeReports-chart1').attr('src',(chart1));  
      }
      if(chart2)
      {
          $('#m1-AnalyzeReports-chart2').attr('src',(chart2));  
      }
      if(chart3)
      {
          $('#m1-AnalyzeReports-chart3').attr('src',(chart3));  
      }
      if(chart4)
      {
          $('#m1-AnalyzeReports-chart4').attr('src',(chart4));  
      }
      if(chart5)
      {
          $('#m1-AnalyzeReports-chart5').attr('src',(chart5));  
      }
      if(chart6)
      {
          $('#m1-AnalyzeReports-chart6').attr('src',(chart6));  
      }*/
    }
     //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-AnalyzeReports', 'DEFAULT');
  }
//----------------------To Display Test Analysis Reports Chart------------
 function GetTACharts()
  {  
     var Dropdown= document.getElementById('m1-TestAnalysis-hidden-select-cmbTACriteria');
    var selectedText = Dropdown.options[Dropdown.selectedIndex].text;
   if(selectedText =='--Please Select Field--')
   {
     alertMsg('Please Select Field');
     return;
   }
    else
    {
      $.ajax({
      type: "POST",  
      url: webUrl + "TestAnalysisReportsCharts?E=" + RandomID(5),
      data: "{'TestName':'" + AccessID + "','strImgFolder':'" + AccessID + "'}",
     contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: GetTAChartsList,
      error: Error
    });
  }
  }    
  var imgNm = '';
  function GetTAChartsList(data)
  {
    var chart1='';
    var chart2='';
    var chart3='';
    var chart4='';
     phoneui.showActivityDialog("Loading...Please Wait!");
    setTimeout(function(){myTimer("m1-TestAnalysisReport")},5000);
     var output = data.d;
    if(output == null)
    {            
        
    }
    else
    {
      var arr = output.toString().split(",");
      chart1=arr[0].toString();
      chart2=arr[1].toString();
      chart3=arr[2].toString();
      chart4=arr[3].toString();
      var strpXML = "<TAImage>";
      strpXML = strpXML + "<Prob>"+arr[0]+"</Prob>";
      strpXML = strpXML + "<Freq>"+arr[1]+"</Freq>";
      strpXML = strpXML + "<XY>"+arr[2]+"</XY>";
      strpXML = strpXML + "<IMR>"+arr[3]+"</IMR>"; 
      strpXML = strpXML + "</TAImage>";
      localStorage.setItem('TAImage',strpXML );
  
       if(chart1)
      {
         $('#m1-TestAnalysisReport-chart1').attr('src',(chart1));  
      }
      if(chart2)
      {
          $('#m1-TestAnalysisReport-chart2').attr('src',(chart2));  
      }
      if(chart3)
      {
          $('#m1-TestAnalysisReport-chart3').attr('src',(chart3));  
      }
      if(chart4)
      {
          $('#m1-TestAnalysisReport-chart4').attr('src',(chart4));  
      }
    
    }
     //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-TestAnalysisReport', 'DEFAULT');
  }

//---------------View Large Chart Image----------
function largeView(vars)
{
   //phoneui.showActivityDialog("Loading...Please Wait!");
  //setTimeout(function(){myTimer("m1-LargereportView")},5000);
   var newstr='';      
   var x='';
   var  img='';
   var d = ""+vars;
  if(d.length == 1)
  {
    img = imgUrl[vars][0];
    $('#m1-LargeReport-image2').attr('src',(img));
    document.getElementById('m1-LargeReport-text1').innerHTML = imgUrl[vars][1];
  }
  else
  {
    var v1=vars.substring(0,1);
    
    if(v1 == 'T')
    {
       var TAImg= localStorage.getItem('TAImage');
      if(vars=='T1')
      {   
          newstr = TAImg.split("<Prob>");
          x = newstr[1].indexOf("</Prob>");  
          document.getElementById('m1-LargeReport-text1').innerHTML="SPC Probability Chart";
       }
       else if(vars=='T2')
      {   
         newstr = TAImg.split("<Freq>");
         x = newstr[1].indexOf("</Freq>");
        document.getElementById('m1-LargeReport-text1').innerHTML="SPC Frequency Histogram Chart";
       }
       else if(vars=='T3')
      {   
          newstr = TAImg.split("<XY>");
          x = newstr[1].indexOf("</XY>");
        document.getElementById('m1-LargeReport-text1').innerHTML="SPC Frequency Histogram Chart";
       }
       else if(vars=='T4')
      {   
          newstr = TAImg.split("<IMR>");
          x = newstr[1].indexOf("</IMR>");  
        document.getElementById('m1-LargeReport-text1').innerHTML="SPC IMR Chart";
      }
      img= newstr[1].substring(0, x);
      
    }
  }
  
   $('#m1-LargeReport-image2').attr('src',(img));
  //phoneui.hideActivityDialog();
    phoneui.gotoPage('m1-LargeReport', 'DEFAULT');
 
  
}
//*********** For View Report[To generate report for all the pages which rendering report By ID it filters data] -------
  var samID = '';
  function ToViewReport(varID)
  {
    phoneui.showActivityDialog("Loading...Please Wait!");
    var DivView= document.getElementById('myRep');     
    if(xmlTab !=null)
    {
      var b = xmlTab[varID].indexOf("</Table>");
      var temp = xmlTab[varID].substring(0, b);
      var port= temp.split("<RecordID>");
      var x = port[1].indexOf("</RecordID>");
      samID = port[1].substring(0, x);
    }
    
   var tblval='';
    tblval = '<table border="0" style="color:white;padding:2px;" width="100%" height=100% > ';
   
      var strXML = "<OfflineRPT>";
      strXML = strXML + "<ID>"+ varID +"</ID>";
      strXML = strXML + "<Data>"+ strPriorityReportVal +"</Data>";    
      strXML = strXML + "</OfflineRPT>";
      localStorage.setItem('LastViewRPT',strXML); 
    
    var abc = strPriorityReportVal.split("<row>");
      for(var i = 1; i < abc.length ; i++)
      {       
        var b = abc[i].indexOf("</row>");
        var temp = abc[i].substring(0, b);  
        temp = temp.split('|');
        if(temp[0] == varID)
        {
          for(var a = 1;a < temp.length; a++)
          {
            var colVal=temp[a].split(',');
            tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left" BGCOLOR="black" > ';
            tblval = tblval + colVal[0] + '</th> <td style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
            tblval = tblval + colVal[1]  + '</td></tr>'
          }
          break;
        }       
      }
      tblval = tblval + '<tr><td>';
      tblval = tblval + '<div id="m1-iPhoneOCM-imagenew" class="m1-clickable m1-button m1-font-19 m1-shadow-3"'+
     'name ="image1" onclick="newDetails();">Test Details</div></td></tr>'
    
  /* tblval= tblval+ '<tr><div id="m1-iPhoneOCM-image1" class="m1-clickable m1-button m1-font-19 m1-shadow-3"'+
     'name ="image1" onclick="newDetails();" style="top:280px;">Test Details</div><tr>';*/
   tblval = tblval +'</table> ';    
   DivView.innerHTML =  tblval ; 
   phoneui.hideActivityDialog();
   phoneui.gotoPage('m1-ViewReport', 'DEFAULT');

  }
//*********** For View Report[Demo display purpose when user click on View Report] -------
   function DemoRPT()
  {
    var strDXML = "<Report>";
      strDXML = strDXML  + "<row>"+ 'Equipment Name,A Dragon|Description,Steering Gear Upper Tellt32|Sample Point ID,LMO0076889|Authorised Date,06/04/2012' +"</row>";
      strDXML = strDXML + "</row></Report>";
      var DivView= document.getElementById('m1-ViewReport-html1');     
      var tblval='';
      tblval = '<table border="0" style="color:white;padding:2px;" width="100%"> ';
       
      var abc = strDXML .split("<row>");
        for(var i = 1; i < abc.length ; i++)
        {       
          var b = abc[i].indexOf("</row>");
          var temp = abc[i].substring(0, b);  
          temp = temp.split('|');       
            for(var a = 0;a < temp.length; a++)
            {
              var colVal=temp[a].split(',');
              tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left" BGCOLOR="black" > ';
              tblval = tblval + colVal[0] + '</th> <td style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
              tblval = tblval + colVal[1]  + '</td></tr>';
            }        
        }
         tblval = tblval +'</table> ';    
        DivView.innerText =  tblval ;  
  }
function ToViewDemoReport()
  {
     //phoneui.showActivityDialog("Loading...Please Wait!");
    //setTimeout(function(){myTimer("m1-ViewReport")},5000);
    if(TempDelOption == 'true')
    {
      DemoRPT();
    }
    else
    { 
        var lastrpt= localStorage.getItem('LastViewRPT');
        if(lastrpt != null)
        {
          var newstr = lastrpt .split("<ID>");
          var x = newstr[1].indexOf("</ID>");
          var ID= newstr[1].substring(0, x);
            
          var newstr = lastrpt .split("<Data>");
          var x = newstr[1].indexOf("</Data>");
          var data= newstr[1].substring(0, x); 
          strPriorityReportVal =data;
          ToViewReport(ID);
          
        }
        else
        {
         DemoRPT(); 
        }
    }
    //phoneui.hideActivityDialog();
    //phoneui.gotoPage('m1-ViewReport', 'DEFAULT'); 

  }

/**
*
*  Javascript cookies
*
**/
 
var strCookie='';
 
 function setCookie(name, value, seconds) {
 
    if (typeof(seconds) != 'undefined') {
      var date = new Date();
      date.setTime(date.getTime() + (seconds*1000));
      var expires = "; expires=" + date.toGMTString();
    }
    else {
      var expires = "";
    } 
   if(strCookie != "")
     strCookie = strCookie + "|" + name+"="+value+expires+"; path=/";
   else
     strCookie = name+"="+value+expires+"; path=/";
    phoneui.cookie = strCookie ;
  }
 
  function getCookie(name) { 
    var strCk=strCookie.split('|');
    for(var a=0;a<strCk.length;a++)
    {
      var ckName=strCk[a];
      ckName=ckName.split('=');
      if(ckName[0] == name)
      {
        name = name + "=";
        var carray = strCk[a].split(';');   
        for(var i=0;i < carray.length;i++) 
        {
          var c = carray[i];
          while (c.charAt(0)==' ') c = c.substring(1,c.length);
          if (c.indexOf(name) == 0) return c.substring(name.length,c.length);
        } 
      }
    }
   
    return null;
  }
 
  function deleteCookie(name) {
    this.setCookie(name, "", -1);
  }
 //********* To Apply the Settings *********
  function applySettings()
  {
      var strSetXML="<Settings>";
       strSetXML=strSetXML+ "<Username>" + username + "</Username>";
       strSetXML=strSetXML+ "<ForeNameOpt>" + $('#m1-Settings-chkForeNameOpt> input').is(':checked') + "</ForeNameOpt>";
       strSetXML=strSetXML+ "<OffLineOpt>" + $('#m1-Settings-chkOffLineOpt> input').is(':checked') + "</OffLineOpt>";
       strSetXML=strSetXML+ "<TempDelOpt>" + $('#m1-Settings-chkTempDelOpt> input').is(':checked') + "</TempDelOpt>";
       strSetXML=strSetXML+ "<RemPswdOpt>" + $('#m1-Settings-chkRemPswdOpt> input').is(':checked') + "</RemPswdOpt>";
       strSetXML=strSetXML+ "</Settings>";
       localStorage.setItem('SettingsInfo',strSetXML); 
       alertMsg("The new settings will be applicable on the next login.");
      
  }
var ForeNameOption='';
var OffLineOption='';
var TempDelOption='';
var RemPswdOption='';
var usrname='';
  function FetchSettings()
  {
    
     var settingsinfo = localStorage.getItem('SettingsInfo');
       if(settingsinfo != null)
          {            
             var newstr = settingsinfo .split("<Username>");
             var x = newstr[1].indexOf("</Username>");
             usrname= newstr[1].substring(0, x);
              
             newstr = settingsinfo .split("<ForeNameOpt>");
             x = newstr[1].indexOf("</ForeNameOpt>");
             ForeNameOption= newstr[1].substring(0, x);
             
             newstr = settingsinfo .split("<OffLineOpt>");
             x = newstr[1].indexOf("</OffLineOpt>");
             OffLineOption= newstr[1].substring(0, x);
                
             newstr = settingsinfo .split("<TempDelOpt>");
             x = newstr[1].indexOf("</TempDelOpt>");
             TempDelOption= newstr[1].substring(0, x);
                
             newstr = settingsinfo .split("<RemPswdOpt>");
             x = newstr[1].indexOf("</RemPswdOpt>");
             RemPswdOption= newstr[1].substring(0, x);
           }
      if(RemPswdOption =='true')
      {
          var rem = document.getElementById('#m1-iPhoneOCM-chkRememberMe');     
           rem.disabled=true;
         var rem2 = document.getElementById('#m1-iPhoneOCM-text1');     
           rem2.disabled=true;   
       
      }
    if(TempDelOption == 'true')
    {
      localStorage.setItem('UserLoginInfo',null);
      localStorage.setItem('LastViewRPT',null);
      localStorage.setItem('UserInfo',null);
    }    
  }
  //For Settings Page
  function SettingsPage()
  {
    

   if(ForeNameOption == 'true')
     $('#m1-Settings-chkForeNameOpt > input').attr('checked',true);
    else
       $('#m1-Settings-chkForeNameOpt > input').attr('checked',false);
    if(OffLineOption == 'true')
       $('#m1-Settings-chkOffLineOpt > input').attr('checked',true);
    else
       $('#m1-Settings-chkOffLineOpt > input').attr('checked',false);
    
    if(TempDelOption == 'true')
         $('#m1-Settings-chkTempDelOpt > input').attr('checked',true);
    else
         $('#m1-Settings-chkTempDelOpt > input').attr('checked',false);
    if(RemPswdOption == 'true')
       $('#m1-Settings-chkRemPswdOpt > input').attr('checked',true);
      else
       $('#m1-Settings-chkRemPswdOpt > input').attr('checked',false);
      phoneui.gotoPage('m1-Settings', 'DEFAULT'); 

  }
  function SetUserInfoPage()
  {
    
     FullName = getCookie('FullnameC');
     LastLoginDT= getCookie('LoginDTC');
     var Welcome = 'Welcome ' + Name + ' (' + company + ')';
     var Plan = "Plan: ";
     var comp = " Company: ";
     if(ForeNameOption == 'true')
      {
        Name=Name.split(" ");
        Name=Name[0];
      }
       var Namedis= document.getElementById('m1-SearchSampleStats-text3');
       Namedis.innerHTML =Welcome ;
       var Timedis= document.getElementById('m1-SearchSampleStats-text4');
       Timedis.innerHTML=Plan+ strPlanName;
     
       var Namedis= document.getElementById('m1-LocatePort-text2');
       Namedis.innerHTML =Welcome ;
       var Timedis= document.getElementById('m1-LocatePort-text3');
       Timedis.innerHTML=Plan+ strPlanName;
       
       var Namedis= document.getElementById('m1-ShowMap-text1');
       Namedis.innerHTML =Welcome ;
       var Timedis= document.getElementById('m1-ShowMap-text2');
       Timedis.innerHTML=Plan+ strPlanName;   
    
       var Namedis= document.getElementById('m1-SampleUnknown-text1');
       Namedis.innerHTML =Welcome ;
       var Timedis= document.getElementById('m1-SampleUnknown-text2');
       Timedis.innerHTML=Plan+ strPlanName;
   
       var Namedis= document.getElementById('m1-SampleStatsResult-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SampleStatsResult-text2');
       Timedis.innerHTML=Plan+ strPlanName;
    
       
      
   
       var Namedis= document.getElementById('m1-SearchPage-text3');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SearchPage-text4');
       Timedis.innerHTML=Plan+ strPlanName;
      
       var Namedis= document.getElementById('m1-ViewReport-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-ViewReport-text2');
       Timedis.innerHTML=Plan+ strPlanName;
     
       var Namedis= document.getElementById('m1-AnalyzeReports-text2');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-AnalyzeReports-text3');
       Timedis.innerHTML=Plan+ strPlanName;
     
       var Namedis= document.getElementById('m1-SampleInPriority-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SampleInPriority-text2');
       Timedis.innerHTML=Plan+strPlanName;
     
       var Namedis= document.getElementById('m1-SampleInStages-text9');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SampleInStages-text10');
       Timedis.innerHTML=Plan+ strPlanName;
     
       /*var Namedis= document.getElementById('m1-Settings-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-Settings-text2');
       Timedis.innerHTML=Plan+ strPlanName;*/
     
       var Namedis= document.getElementById('m1-AlertsNReports-text2');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-AlertsNReports-text3');
       Timedis.innerHTML=Plan+ strPlanName;
     
       
       var Namedis= document.getElementById('m1-TestAnalysisReport-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-TestAnalysisReport-text2');
       Timedis.innerHTML=Plan+ strPlanName;
     
       var Namedis= document.getElementById('m1-TestAnalysis-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-TestAnalysis-text2');
       Timedis.innerHTML=Plan+ strPlanName;
     
       var Namedis= document.getElementById('m1-Dashboard-text1');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-Dashboard-text3');
       Timedis.innerHTML=Plan + strPlanName;
         
       var Namedis= document.getElementById('m1-SearchByUnitID-text4');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SearchByUnitID-text5');
       Timedis.innerHTML=Plan+ strPlanName;
      
       var Namedis= document.getElementById('m1-SearchPage-text3');
       Namedis.innerHTML =Welcome;
       var Timedis= document.getElementById('m1-SearchPage-text4');
       Timedis.innerHTML=Plan+ strPlanName;
   
       document.getElementById('m1-ElementDetails-text1').innerHTML = Welcome;  
       document.getElementById('m1-ElementDetails-text2').innerHTML = Plan+ strPlanName;  

  }

function RandomID(n)
{
    var text = "";
    var Domain = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
    for( var i=0; i < n; i++ )
        text += Domain.charAt(Math.floor(Math.random() * Domain.length));
    return text;
}


function newDetails()
{
  phoneui.showActivityDialog("Loading...Please Wait!");
  $.ajax({
      type: "POST",  
      url: webUrl + "WP7FetchSampleElementDetails?E=" + RandomID(5),
      data: "{'strSampleID':'" + samID + "'}",
     contentType: "application/json; charset=utf-8",
      dataType: "json",
      success: newDetailsSuccess,
      error: Error
    });
}

function newDetailsSuccess(data)
{
  var output = data.d;
  var DivView= document.getElementById('myEle'); 
  if(output != null)
  {
    var abc = output.split("<Table>");
    //var DivView= document.getElementById('m1-ElementDetails-html1'); 
    tblval = '<table border="0" style="padding:2px;color:white" width="100%"> ';
    tblval = tblval + '<tr> <th style="padding:2px;font-color:black;font-family:Helvetica; font-size:15px ;text-align:left" > ';
    tblval = tblval + 'Element' + '</th> <th style="padding:2px; font-color:black; font-family:Helvetica ; font-size:15px ;text-align:left"> ';
      tblval = tblval + 'Value' + '</th></tr>'
    for(var i = 1; i < abc.length ; i++)
    {
      var b = abc[i].indexOf("</Table>");
      var temp = abc[i].substring(0, b);
      var newstr = temp.split("<ElementShortName>");
      var x = newstr[1].indexOf("</ElementShortName>");
      var element = newstr[1].substring(0, x);
      
      var newstr = temp.split("<EnglishUnit>");
      var x = newstr[1].indexOf("</EnglishUnit>");
      var unit = newstr[1].substring(0, x);
      
      var newstr = temp.split("<Value>");
      var x = newstr[1].indexOf("</Value>");
      var val = newstr[1].substring(0, x);
      
      tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left" > ';
      tblval = tblval + element + '</th> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
      tblval = tblval + val + '</th></tr>';
      
      /*tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left" BGCOLOR="black" > ';
      tblval = tblval + 'English Unit' + '</th> <td style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
      tblval = tblval + unit + '</td></tr>';
      
      tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left" BGCOLOR="black" > ';
      tblval = tblval + 'Element Value' + '</th> <td style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
      tblval = tblval + val + '</td></tr>';*/
    }
    tblval = tblval +'</table> ';  
  }
  else
  {
    tblval = '<table border="0" style="color:white;padding:2px;" width="100%"> ';
    tblval = tblval + '<tr> <th style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"  > ';
    tblval = tblval + 'Sorry no test results' + '</th> <td style="padding:2px;font color:white;font-family:Helvetica ; font-size:14px ;text-align:left"> ';
    tblval = tblval + ''+ '</td></tr>';
    tblval = tblval +'</table> ';  
  }
  DivView.innerHTML = tblval;
  phoneui.gotoPage('m1-ElementDetails', 'DEFAULT'); 
  
  phoneui.hideActivityDialog();
}
